29.4 C
Tokyo
土曜日, 2024年6月15日
ホームKnowledgeComputerWindows anacondaでバージョンの異なるPythonを使う

Windows anacondaでバージョンの異なるPythonを使う

うちの環境ではPowerShellにて f: 叩いてF:\ドライブに移動している

1.利用できるpythonバージョンの確認

conda search python

2.仮想環境作成とpythonバージョンの指定

例だとバージョン3.10.13を指定

2-1.作成

conda create -n 仮想環境名 python=3.10.13

2-2.確認

conda info -e

3.仮想環境にアクティベートで入る

conda activate 仮想環境名

下記、ログ

(base) PS F:\> conda search python
Error while loading conda entry point: conda-content-trust (DLL load failed while importing _rust: 指定されたモジュール が見つかりません。)
Error while loading conda entry point: conda-libmamba-solver (DLL load failed while importing bindings: 指定されたモジュールが見つかりません。)
Loading channels: done
# Name                       Version           Build  Channel
python                        2.7.13     h1b6d89f_16  pkgs/main
python                        2.7.13     h9912b81_15  pkgs/main
python                        2.7.13     hb034564_12  pkgs/main
python                        2.7.14     h2765ee6_18  pkgs/main
python                        2.7.14     h3e68818_15  pkgs/main
python                        2.7.14     h4084c39_22  pkgs/main
python                        2.7.14     h4a10d90_30  pkgs/main
python                        2.7.14     h4a10d90_31  pkgs/main
python                        2.7.14     h59f5a59_20  pkgs/main
python                        2.7.14     h819644d_16  pkgs/main
python                        2.7.14     h8c3f1cb_23  pkgs/main
python                        2.7.15      h2880e7c_2  pkgs/main
python                        2.7.15      h2880e7c_3  pkgs/main
python                        2.7.15      h2880e7c_4  pkgs/main
python                        2.7.15     hcb6e200_15  pkgs/main
python                        2.7.15      hcb6e200_5  pkgs/main
python                        2.7.15      hcb6e200_7  pkgs/main
python                        2.7.15      he216670_0  pkgs/main
python                        2.7.16      hcb6e200_0  pkgs/main
python                        2.7.17      h930f6bb_0  pkgs/main
python                        2.7.18      hcb6e200_0  pkgs/main
python                        2.7.18      hfb89ab9_0  pkgs/main
python                         3.5.4     h1357f44_23  pkgs/main
python                         3.5.4     hc495aa9_21  pkgs/main
python                         3.5.4     hd3c4935_11  pkgs/main
python                         3.5.4     hdec4e59_20  pkgs/main
python                         3.5.4     hedc2606_15  pkgs/main
python                         3.5.5      h0c2934d_0  pkgs/main
python                         3.5.5      h0c2934d_1  pkgs/main
python                         3.5.5      h0c2934d_2  pkgs/main
python                         3.5.6      he025d50_0  pkgs/main
python                         3.6.2     h09676a0_15  pkgs/main
python                         3.6.2     h6679aeb_11  pkgs/main
python                         3.6.3      h210ce5f_2  pkgs/main
python                         3.6.3      h3389d20_0  pkgs/main
python                         3.6.3      h3b118a2_4  pkgs/main
python                         3.6.3      h9e2ca53_1  pkgs/main
python                         3.6.4      h0c2934d_2  pkgs/main
python                         3.6.4      h0c2934d_3  pkgs/main
python                         3.6.4      h6538335_0  pkgs/main
python                         3.6.4      h6538335_1  pkgs/main
python                         3.6.5      h0c2934d_0  pkgs/main
python                         3.6.6      hea74fb7_0  pkgs/main
python                         3.6.7      h33f27b4_0  pkgs/main
python                         3.6.7      h33f27b4_1  pkgs/main
python                         3.6.7      h9f7ef89_2  pkgs/main
python                         3.6.8      h9f7ef89_0  pkgs/main
python                         3.6.8      h9f7ef89_1  pkgs/main
python                         3.6.8      h9f7ef89_7  pkgs/main
python                         3.6.9      h5500b2f_0  pkgs/main
python                        3.6.10      h9f7ef89_0  pkgs/main
python                        3.6.10      h9f7ef89_1  pkgs/main
python                        3.6.10      h9f7ef89_2  pkgs/main
python                        3.6.12      h5500b2f_2  pkgs/main
python                        3.6.13      h3758d61_0  pkgs/main
python                         3.7.0      hea74fb7_0  pkgs/main
python                         3.7.1      h33f27b4_3  pkgs/main
python                         3.7.1      h33f27b4_4  pkgs/main
python                         3.7.1      h8c8aaf0_6  pkgs/main
python                         3.7.1      he44a216_5  pkgs/main
python                         3.7.2      h8c8aaf0_0  pkgs/main
python                         3.7.2     h8c8aaf0_10  pkgs/main
python                         3.7.2      h8c8aaf0_2  pkgs/main
python                         3.7.3      h8c8aaf0_0  pkgs/main
python                         3.7.3      h8c8aaf0_1  pkgs/main
python                         3.7.4      h5263a28_0  pkgs/main
python                         3.7.5      h8c8aaf0_0  pkgs/main
python                         3.7.6      h60c2a47_2  pkgs/main
python                         3.7.7 h60c2a47_0_cpython  pkgs/main
python                         3.7.7      h60c2a47_2  pkgs/main
python                         3.7.7      h81c818b_4  pkgs/main
python                         3.7.9      h60c2a47_0  pkgs/main
python                        3.7.10      h6244533_0  pkgs/main
python                        3.7.11      h6244533_0  pkgs/main
python                        3.7.13      h6244533_0  pkgs/main
python                        3.7.13      h6244533_1  pkgs/main
python                        3.7.15      h6244533_0  pkgs/main
python                        3.7.15      h6244533_1  pkgs/main
python                        3.7.16      h6244533_0  pkgs/main
python                         3.8.0      hff0d562_0  pkgs/main
python                         3.8.0      hff0d562_1  pkgs/main
python                         3.8.0      hff0d562_2  pkgs/main
python                         3.8.1      h5fd99cc_1  pkgs/main
python                         3.8.1 h5fd99cc_8_cpython  pkgs/main
python                         3.8.1 he1778fa_7_cpython  pkgs/main
python                         3.8.2      h5fd99cc_0  pkgs/main
python                         3.8.2     h5fd99cc_11  pkgs/main
python                         3.8.2     he1778fa_13  pkgs/main
python                         3.8.3      he1778fa_0  pkgs/main
python                         3.8.3      he1778fa_2  pkgs/main
python                         3.8.5      h5fd99cc_1  pkgs/main
python                         3.8.5      he1778fa_0  pkgs/main
python                         3.8.8      hdbf39b2_4  pkgs/main
python                         3.8.8      hdbf39b2_5  pkgs/main
python                        3.8.10      hdbf39b2_7  pkgs/main
python                        3.8.11      h6244533_1  pkgs/main
python                        3.8.12      h6244533_0  pkgs/main
python                        3.8.13      h6244533_0  pkgs/main
python                        3.8.13      h6244533_1  pkgs/main
python                        3.8.15      h6244533_1  pkgs/main
python                        3.8.15      h6244533_2  pkgs/main
python                        3.8.15      h82bb817_0  pkgs/main
python                        3.8.16      h1aa4202_4  pkgs/main
python                        3.8.16      h6244533_2  pkgs/main
python                        3.8.16      h6244533_3  pkgs/main
python                        3.8.17      h1aa4202_0  pkgs/main
python                        3.8.17      h6244533_0  pkgs/main
python                        3.8.18      h1aa4202_0  pkgs/main
python                        3.8.18      h6244533_0  pkgs/main
python                         3.9.0      h6244533_2  pkgs/main
python                         3.9.0      h8aef87e_1  pkgs/main
python                         3.9.1      h6244533_2  pkgs/main
python                         3.9.2      h6244533_0  pkgs/main
python                         3.9.4      h6244533_0  pkgs/main
python                         3.9.5      h6244533_3  pkgs/main
python                         3.9.6      h6244533_0  pkgs/main
python                         3.9.6      h6244533_1  pkgs/main
python                         3.9.7      h6244533_1  pkgs/main
python                        3.9.11      h6244533_1  pkgs/main
python                        3.9.11      h6244533_2  pkgs/main
python                        3.9.12      h6244533_0  pkgs/main
python                        3.9.13      h6244533_1  pkgs/main
python                        3.9.13      h6244533_2  pkgs/main
python                        3.9.15      h6244533_0  pkgs/main
python                        3.9.15      h6244533_1  pkgs/main
python                        3.9.15      h6244533_2  pkgs/main
python                        3.9.16      h1aa4202_3  pkgs/main
python                        3.9.16      h6244533_0  pkgs/main
python                        3.9.16      h6244533_1  pkgs/main
python                        3.9.16      h6244533_2  pkgs/main
python                        3.9.17      h1aa4202_0  pkgs/main
python                        3.9.17      h6244533_0  pkgs/main
python                        3.9.18      h1aa4202_0  pkgs/main
python                        3.9.18      h6244533_0  pkgs/main
python                        3.10.0      h96c0403_3  pkgs/main
python                        3.10.0      hbb2ffb3_0  pkgs/main
python                        3.10.0      hbb2ffb3_1  pkgs/main
python                        3.10.0      hbb2ffb3_2  pkgs/main
python                        3.10.3      hbb2ffb3_5  pkgs/main
python                        3.10.4      hbb2ffb3_0  pkgs/main
python                        3.10.6      hbb2ffb3_0  pkgs/main
python                        3.10.6      hbb2ffb3_1  pkgs/main
python                        3.10.8      h966fe2a_1  pkgs/main
python                        3.10.8      hbb2ffb3_0  pkgs/main
python                        3.10.9      h966fe2a_0  pkgs/main
python                        3.10.9      h966fe2a_1  pkgs/main
python                        3.10.9      h966fe2a_2  pkgs/main
python                       3.10.10      h966fe2a_2  pkgs/main
python                       3.10.11      h966fe2a_2  pkgs/main
python                       3.10.11      he1021f5_3  pkgs/main
python                       3.10.12      h966fe2a_0  pkgs/main
python                       3.10.12      he1021f5_0  pkgs/main
python                       3.10.13      h966fe2a_0  pkgs/main
python                       3.10.13      he1021f5_0  pkgs/main
python                        3.11.0      h966fe2a_2  pkgs/main
python                        3.11.0      h966fe2a_3  pkgs/main
python                        3.11.2      h966fe2a_0  pkgs/main
python                        3.11.3      h966fe2a_0  pkgs/main
python                        3.11.3      he1021f5_1  pkgs/main
python                        3.11.4      h966fe2a_0  pkgs/main
python                        3.11.4      he1021f5_0  pkgs/main
python                        3.11.5      h966fe2a_0  pkgs/main
python                        3.11.5      he1021f5_0  pkgs/main
python                        3.12.0      h1d929f7_0  pkgs/main
(base) PS F:\> conda create -n aivoice python=3.10.13
Error while loading conda entry point: conda-content-trust (DLL load failed while importing _rust: 指定されたモジュール が見つかりません。)
Error while loading conda entry point: conda-libmamba-solver (DLL load failed while importing bindings: 指定されたモジュールが見つかりません。)
Collecting package metadata (current_repodata.json): done
Solving environment: done


==> WARNING: A newer version of conda exists. <==
  current version: 23.7.4
  latest version: 23.11.0

Please update conda by running

    $ conda update -n base -c defaults conda

Or to minimize the number of packages updated during conda update use

     conda install conda=23.11.0



## Package Plan ##

  environment location: F:\anaconda3\envs\aivoice

  added / updated specs:
    - python=3.10.13


The following NEW packages will be INSTALLED:

  bzip2              pkgs/main/win-64::bzip2-1.0.8-he774522_0
  ca-certificates    pkgs/main/win-64::ca-certificates-2023.08.22-haa95532_0
  libffi             pkgs/main/win-64::libffi-3.4.4-hd77b12b_0
  openssl            pkgs/main/win-64::openssl-3.0.12-h2bbff1b_0
  pip                pkgs/main/win-64::pip-23.3.1-py310haa95532_0
  python             pkgs/main/win-64::python-3.10.13-he1021f5_0
  setuptools         pkgs/main/win-64::setuptools-68.0.0-py310haa95532_0
  sqlite             pkgs/main/win-64::sqlite-3.41.2-h2bbff1b_0
  tk                 pkgs/main/win-64::tk-8.6.12-h2bbff1b_0
  tzdata             pkgs/main/noarch::tzdata-2023c-h04d1e81_0
  vc                 pkgs/main/win-64::vc-14.2-h21ff451_1
  vs2015_runtime     pkgs/main/win-64::vs2015_runtime-14.27.29016-h5e58377_2
  wheel              pkgs/main/win-64::wheel-0.41.2-py310haa95532_0
  xz                 pkgs/main/win-64::xz-5.4.5-h8cc25b3_0
  zlib               pkgs/main/win-64::zlib-1.2.13-h8cc25b3_0


Proceed ([y]/n)? y


Downloading and Extracting Packages

Preparing transaction: done
Verifying transaction: /
SafetyError: The package for vs2015_runtime located at F:\anaconda3\pkgs\vs2015_runtime-14.27.29016-h5e58377_2
appears to be corrupted. The path 'vcruntime140.dll'
has an incorrect size.
  reported size: 101672 bytes
  actual size: 109392 bytes

SafetyError: The package for vs2015_runtime located at F:\anaconda3\pkgs\vs2015_runtime-14.27.29016-h5e58377_2
appears to be corrupted. The path 'vcruntime140_1.dll'
has an incorrect size.
  reported size: 44328 bytes
  actual size: 49520 bytes


done
Executing transaction: done
#
# To activate this environment, use
#
#     $ conda activate aivoice
#
# To deactivate an active environment, use
#
#     $ conda deactivate

(base) PS F:\> conda info -e
Error while loading conda entry point: conda-content-trust (DLL load failed while importing _rust: 指定されたモジュール が見つかりません。)
Error while loading conda entry point: conda-libmamba-solver (DLL load failed while importing bindings: 指定されたモジュールが見つかりません。)
# conda environments:
#
base                  *  F:\anaconda3
aivoice                  F:\anaconda3\envs\aivoice
myenv                    F:\anaconda3\envs\myenv
py3918                   F:\anaconda3\envs\py3918
talking-head-anime-3-demo     F:\anaconda3\envs\talking-head-anime-3-demo

(base) PS F:\> conda activate aivoice
(aivoice) PS F:\> git clone https://git.ecker.tech/mrq/ai-voice-cloning
Cloning into 'ai-voice-cloning'...
remote: Enumerating objects: 1852, done.
remote: Counting objects: 100% (406/406), done.
remote: Compressing objects: 100% (379/379), done.
remote: Total 1852 (delta 270), reused 18 (delta 18), pack-reused 1446
Requirement already satisfied: pip in f:\ai-voice-cloning\venv\lib\site-packages (23.0.1)
Collecting pip
  Using cached pip-23.3.1-py3-none-any.whl (2.1 MB)
Installing collected packages: pip
  Attempting uninstall: pip
    Found existing installation: pip 23.0.1
    Uninstalling pip-23.0.1:
      Successfully uninstalled pip-23.0.1
Successfully installed pip-23.3.1
Looking in indexes: https://download.pytorch.org/whl/cu118
Collecting torch
  Downloading https://download.pytorch.org/whl/cu118/torch-2.1.1%2Bcu118-cp310-cp310-win_amd64.whl (2722.7 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.7/2.7 GB 592.6 kB/s eta 0:00:00
Collecting torchvision
  Downloading https://download.pytorch.org/whl/cu118/torchvision-0.16.1%2Bcu118-cp310-cp310-win_amd64.whl (4.9 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 4.9/4.9 MB 10.1 MB/s eta 0:00:00
Collecting torchaudio
  Downloading https://download.pytorch.org/whl/cu118/torchaudio-2.1.1%2Bcu118-cp310-cp310-win_amd64.whl (3.9 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.9/3.9 MB 8.9 MB/s eta 0:00:00
Collecting filelock (from torch)
  Using cached https://download.pytorch.org/whl/filelock-3.9.0-py3-none-any.whl (9.7 kB)
Collecting typing-extensions (from torch)
  Using cached https://download.pytorch.org/whl/typing_extensions-4.4.0-py3-none-any.whl (26 kB)
Collecting sympy (from torch)
  Using cached https://download.pytorch.org/whl/sympy-1.12-py3-none-any.whl (5.7 MB)
Collecting networkx (from torch)
  Using cached https://download.pytorch.org/whl/networkx-3.0-py3-none-any.whl (2.0 MB)
Collecting jinja2 (from torch)
  Using cached https://download.pytorch.org/whl/Jinja2-3.1.2-py3-none-any.whl (133 kB)
Collecting fsspec (from torch)
  Using cached https://download.pytorch.org/whl/fsspec-2023.4.0-py3-none-any.whl (153 kB)
Collecting numpy (from torchvision)
  Downloading https://download.pytorch.org/whl/numpy-1.24.1-cp310-cp310-win_amd64.whl (14.8 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 14.8/14.8 MB 9.4 MB/s eta 0:00:00
Collecting requests (from torchvision)
  Using cached https://download.pytorch.org/whl/requests-2.28.1-py3-none-any.whl (62 kB)
Collecting pillow!=8.3.*,>=5.3.0 (from torchvision)
  Downloading https://download.pytorch.org/whl/Pillow-9.3.0-cp310-cp310-win_amd64.whl (2.5 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.5/2.5 MB 10.4 MB/s eta 0:00:00
Collecting MarkupSafe>=2.0 (from jinja2->torch)
  Downloading https://download.pytorch.org/whl/MarkupSafe-2.1.3-cp310-cp310-win_amd64.whl (17 kB)
Collecting charset-normalizer<3,>=2 (from requests->torchvision)
  Using cached https://download.pytorch.org/whl/charset_normalizer-2.1.1-py3-none-any.whl (39 kB)
Collecting idna<4,>=2.5 (from requests->torchvision)
  Using cached https://download.pytorch.org/whl/idna-3.4-py3-none-any.whl (61 kB)
Collecting urllib3<1.27,>=1.21.1 (from requests->torchvision)
  Using cached https://download.pytorch.org/whl/urllib3-1.26.13-py2.py3-none-any.whl (140 kB)
Collecting certifi>=2017.4.17 (from requests->torchvision)
  Using cached https://download.pytorch.org/whl/certifi-2022.12.7-py3-none-any.whl (155 kB)
Collecting mpmath>=0.19 (from sympy->torch)
  Using cached https://download.pytorch.org/whl/mpmath-1.3.0-py3-none-any.whl (536 kB)
Installing collected packages: mpmath, urllib3, typing-extensions, sympy, pillow, numpy, networkx, MarkupSafe, idna, fsspec, filelock, charset-normalizer, certifi, requests, jinja2, torch, torchvision, torchaudio
Successfully installed MarkupSafe-2.1.3 certifi-2022.12.7 charset-normalizer-2.1.1 filelock-3.9.0 fsspec-2023.4.0 idna-3.4 jinja2-3.1.2 mpmath-1.3.0 networkx-3.0 numpy-1.24.1 pillow-9.3.0 requests-2.28.1 sympy-1.12 torch-2.1.1+cu118 torchaudio-2.1.1+cu118 torchvision-0.16.1+cu118 typing-extensions-4.4.0 urllib3-1.26.13
Collecting tqdm (from -r .\modules\tortoise-tts\requirements.txt (line 1))
  Using cached tqdm-4.66.1-py3-none-any.whl.metadata (57 kB)
Collecting rotary_embedding_torch (from -r .\modules\tortoise-tts\requirements.txt (line 2))
  Using cached rotary_embedding_torch-0.4.0-py3-none-any.whl.metadata (702 bytes)
Collecting transformers==4.19 (from -r .\modules\tortoise-tts\requirements.txt (line 3))
  Using cached transformers-4.19.0-py3-none-any.whl (4.2 MB)
Collecting tokenizers (from -r .\modules\tortoise-tts\requirements.txt (line 4))
  Using cached tokenizers-0.15.0-cp310-none-win_amd64.whl.metadata (6.8 kB)
Collecting inflect (from -r .\modules\tortoise-tts\requirements.txt (line 5))
  Using cached inflect-7.0.0-py3-none-any.whl.metadata (21 kB)
Collecting progressbar (from -r .\modules\tortoise-tts\requirements.txt (line 6))
  Downloading progressbar-2.5.tar.gz (10 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting einops (from -r .\modules\tortoise-tts\requirements.txt (line 7))
  Using cached einops-0.7.0-py3-none-any.whl.metadata (13 kB)
Collecting unidecode (from -r .\modules\tortoise-tts\requirements.txt (line 8))
  Using cached Unidecode-1.3.7-py3-none-any.whl.metadata (13 kB)
Collecting scipy (from -r .\modules\tortoise-tts\requirements.txt (line 9))
  Using cached scipy-1.11.4-cp310-cp310-win_amd64.whl.metadata (60 kB)
Collecting librosa==0.8.1 (from -r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached librosa-0.8.1-py3-none-any.whl (203 kB)
Requirement already satisfied: torchaudio in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\tortoise-tts\requirements.txt (line 11)) (2.1.1+cu118)
Collecting threadpoolctl (from -r .\modules\tortoise-tts\requirements.txt (line 12))
  Using cached threadpoolctl-3.2.0-py3-none-any.whl.metadata (10.0 kB)
Collecting appdirs (from -r .\modules\tortoise-tts\requirements.txt (line 13))
  Using cached appdirs-1.4.4-py2.py3-none-any.whl (9.6 kB)
Collecting numpy<=1.23.5 (from -r .\modules\tortoise-tts\requirements.txt (line 14))
  Downloading numpy-1.23.5-cp310-cp310-win_amd64.whl (14.6 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 14.6/14.6 MB 9.9 MB/s eta 0:00:00
Collecting numba (from -r .\modules\tortoise-tts\requirements.txt (line 15))
  Using cached numba-0.58.1-cp310-cp310-win_amd64.whl.metadata (2.8 kB)
Requirement already satisfied: filelock in f:\ai-voice-cloning\venv\lib\site-packages (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (3.9.0)
Collecting huggingface-hub<1.0,>=0.1.0 (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3))
  Using cached huggingface_hub-0.19.4-py3-none-any.whl.metadata (14 kB)
Collecting packaging>=20.0 (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3))
  Using cached packaging-23.2-py3-none-any.whl.metadata (3.2 kB)
Collecting pyyaml>=5.1 (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3))
  Using cached PyYAML-6.0.1-cp310-cp310-win_amd64.whl.metadata (2.1 kB)
Collecting regex!=2019.12.17 (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3))
  Using cached regex-2023.10.3-cp310-cp310-win_amd64.whl.metadata (41 kB)
Requirement already satisfied: requests in f:\ai-voice-cloning\venv\lib\site-packages (from transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (2.28.1)
Collecting tokenizers (from -r .\modules\tortoise-tts\requirements.txt (line 4))
  Downloading tokenizers-0.12.1-cp310-cp310-win_amd64.whl (3.3 MB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.3/3.3 MB 9.5 MB/s eta 0:00:00
Collecting audioread>=2.0.0 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached audioread-3.0.1-py3-none-any.whl.metadata (8.4 kB)
Collecting scikit-learn!=0.19.0,>=0.14.0 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Downloading scikit_learn-1.3.2-cp310-cp310-win_amd64.whl.metadata (11 kB)
Collecting joblib>=0.14 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached joblib-1.3.2-py3-none-any.whl.metadata (5.4 kB)
Collecting decorator>=3.0.0 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached decorator-5.1.1-py3-none-any.whl (9.1 kB)
Collecting resampy>=0.2.2 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached resampy-0.4.2-py3-none-any.whl (3.1 MB)
Collecting soundfile>=0.10.2 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached soundfile-0.12.1-py2.py3-none-win_amd64.whl (1.0 MB)
Collecting pooch>=1.0 (from librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached pooch-1.8.0-py3-none-any.whl.metadata (9.9 kB)
Collecting colorama (from tqdm->-r .\modules\tortoise-tts\requirements.txt (line 1))
  Using cached colorama-0.4.6-py2.py3-none-any.whl (25 kB)
Collecting beartype (from rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2))
  Using cached beartype-0.16.4-py3-none-any.whl.metadata (29 kB)
Requirement already satisfied: torch>=2.0 in f:\ai-voice-cloning\venv\lib\site-packages (from rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (2.1.1+cu118)
Collecting pydantic>=1.9.1 (from inflect->-r .\modules\tortoise-tts\requirements.txt (line 5))
  Using cached pydantic-2.5.2-py3-none-any.whl.metadata (65 kB)
Requirement already satisfied: typing-extensions in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->-r .\modules\tortoise-tts\requirements.txt (line 5)) (4.4.0)
Requirement already satisfied: sympy in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (1.12)
Requirement already satisfied: networkx in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (3.0)
Requirement already satisfied: jinja2 in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (3.1.2)
Requirement already satisfied: fsspec in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (2023.4.0)
Collecting llvmlite<0.42,>=0.41.0dev0 (from numba->-r .\modules\tortoise-tts\requirements.txt (line 15))
  Using cached llvmlite-0.41.1-cp310-cp310-win_amd64.whl.metadata (4.9 kB)
Collecting fsspec (from torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2))
  Using cached fsspec-2023.12.2-py3-none-any.whl.metadata (6.8 kB)
Collecting platformdirs>=2.5.0 (from pooch>=1.0->librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached platformdirs-4.1.0-py3-none-any.whl.metadata (11 kB)
Collecting annotated-types>=0.4.0 (from pydantic>=1.9.1->inflect->-r .\modules\tortoise-tts\requirements.txt (line 5))
  Using cached annotated_types-0.6.0-py3-none-any.whl.metadata (12 kB)
Collecting pydantic-core==2.14.5 (from pydantic>=1.9.1->inflect->-r .\modules\tortoise-tts\requirements.txt (line 5))
  Using cached pydantic_core-2.14.5-cp310-none-win_amd64.whl.metadata (6.6 kB)
Collecting typing-extensions (from inflect->-r .\modules\tortoise-tts\requirements.txt (line 5))
  Using cached typing_extensions-4.9.0-py3-none-any.whl.metadata (3.0 kB)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (3.4)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers==4.19->-r .\modules\tortoise-tts\requirements.txt (line 3)) (2022.12.7)
Collecting cffi>=1.0 (from soundfile>=0.10.2->librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Downloading cffi-1.16.0-cp310-cp310-win_amd64.whl.metadata (1.5 kB)
Collecting pycparser (from cffi>=1.0->soundfile>=0.10.2->librosa==0.8.1->-r .\modules\tortoise-tts\requirements.txt (line 10))
  Using cached pycparser-2.21-py2.py3-none-any.whl (118 kB)
Requirement already satisfied: MarkupSafe>=2.0 in f:\ai-voice-cloning\venv\lib\site-packages (from jinja2->torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (2.1.3)
Requirement already satisfied: mpmath>=0.19 in f:\ai-voice-cloning\venv\lib\site-packages (from sympy->torch>=2.0->rotary_embedding_torch->-r .\modules\tortoise-tts\requirements.txt (line 2)) (1.3.0)
Using cached tqdm-4.66.1-py3-none-any.whl (78 kB)
Using cached rotary_embedding_torch-0.4.0-py3-none-any.whl (5.1 kB)
Using cached inflect-7.0.0-py3-none-any.whl (34 kB)
Using cached einops-0.7.0-py3-none-any.whl (44 kB)
Using cached Unidecode-1.3.7-py3-none-any.whl (235 kB)
Using cached scipy-1.11.4-cp310-cp310-win_amd64.whl (44.1 MB)
Using cached threadpoolctl-3.2.0-py3-none-any.whl (15 kB)
Using cached numba-0.58.1-cp310-cp310-win_amd64.whl (2.6 MB)
Using cached audioread-3.0.1-py3-none-any.whl (23 kB)
Using cached huggingface_hub-0.19.4-py3-none-any.whl (311 kB)
Using cached joblib-1.3.2-py3-none-any.whl (302 kB)
Using cached llvmlite-0.41.1-cp310-cp310-win_amd64.whl (28.1 MB)
Using cached packaging-23.2-py3-none-any.whl (53 kB)
Using cached pooch-1.8.0-py3-none-any.whl (62 kB)
Using cached pydantic-2.5.2-py3-none-any.whl (381 kB)
Using cached pydantic_core-2.14.5-cp310-none-win_amd64.whl (1.9 MB)
Using cached PyYAML-6.0.1-cp310-cp310-win_amd64.whl (145 kB)
Using cached regex-2023.10.3-cp310-cp310-win_amd64.whl (269 kB)
Downloading scikit_learn-1.3.2-cp310-cp310-win_amd64.whl (9.3 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 9.3/9.3 MB 10.2 MB/s eta 0:00:00
Using cached typing_extensions-4.9.0-py3-none-any.whl (32 kB)
Using cached beartype-0.16.4-py3-none-any.whl (819 kB)
Using cached annotated_types-0.6.0-py3-none-any.whl (12 kB)
Downloading cffi-1.16.0-cp310-cp310-win_amd64.whl (181 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 181.6/181.6 kB 11.4 MB/s eta 0:00:00
Using cached fsspec-2023.12.2-py3-none-any.whl (168 kB)
Using cached platformdirs-4.1.0-py3-none-any.whl (17 kB)
Building wheels for collected packages: progressbar
  Building wheel for progressbar (pyproject.toml) ... done
  Created wheel for progressbar: filename=progressbar-2.5-py3-none-any.whl size=12084 sha256=622688cce8214bb47c1acc14d9b1dd2cb3150f0dd06bb9bc0aa6ae7f7f1c227a
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\cd\17\e5\765d1a3112ff3978f70223502f6047e06c43a24d7c5f8ff95b
Successfully built progressbar
Installing collected packages: tokenizers, progressbar, appdirs, unidecode, typing-extensions, threadpoolctl, regex, pyyaml, pycparser, platformdirs, packaging, numpy, llvmlite, joblib, fsspec, einops, decorator, colorama, beartype, audioread, annotated-types, tqdm, scipy, pydantic-core, pooch, numba, cffi, soundfile, scikit-learn, rotary_embedding_torch, resampy, pydantic, huggingface-hub, transformers, librosa, inflect
  Attempting uninstall: typing-extensions
    Found existing installation: typing_extensions 4.4.0
    Uninstalling typing_extensions-4.4.0:
      Successfully uninstalled typing_extensions-4.4.0
  Attempting uninstall: numpy
    Found existing installation: numpy 1.24.1
    Uninstalling numpy-1.24.1:
      Successfully uninstalled numpy-1.24.1
  Attempting uninstall: fsspec
    Found existing installation: fsspec 2023.4.0
    Uninstalling fsspec-2023.4.0:
      Successfully uninstalled fsspec-2023.4.0
Successfully installed annotated-types-0.6.0 appdirs-1.4.4 audioread-3.0.1 beartype-0.16.4 cffi-1.16.0 colorama-0.4.6 decorator-5.1.1 einops-0.7.0 fsspec-2023.12.2 huggingface-hub-0.19.4 inflect-7.0.0 joblib-1.3.2 librosa-0.8.1 llvmlite-0.41.1 numba-0.58.1 numpy-1.23.5 packaging-23.2 platformdirs-4.1.0 pooch-1.8.0 progressbar-2.5 pycparser-2.21 pydantic-2.5.2 pydantic-core-2.14.5 pyyaml-6.0.1 regex-2023.10.3 resampy-0.4.2 rotary_embedding_torch-0.4.0 scikit-learn-1.3.2 scipy-1.11.4 soundfile-0.12.1 threadpoolctl-3.2.0 tokenizers-0.12.1 tqdm-4.66.1 transformers-4.19.0 typing-extensions-4.9.0 unidecode-1.3.7
Obtaining file:///F:/ai-voice-cloning/modules/tortoise-tts
  Installing build dependencies ... done
  Checking if build backend supports build_editable ... done
  Getting requirements to build editable ... done
  Preparing editable metadata (pyproject.toml) ... done
Requirement already satisfied: tqdm in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (4.66.1)
Requirement already satisfied: rotary-embedding-torch in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (0.4.0)
Requirement already satisfied: inflect in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (7.0.0)
Requirement already satisfied: progressbar in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (2.5)
Requirement already satisfied: einops in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (0.7.0)
Requirement already satisfied: unidecode in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (1.3.7)
Requirement already satisfied: scipy in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (1.11.4)
Requirement already satisfied: librosa in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (0.8.1)
Requirement already satisfied: transformers in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (4.19.0)
Requirement already satisfied: tokenizers in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (0.12.1)
Requirement already satisfied: torchaudio in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (2.1.1+cu118)
Requirement already satisfied: threadpoolctl in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (3.2.0)
Requirement already satisfied: appdirs in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (1.4.4)
Requirement already satisfied: numpy in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (1.23.5)
Requirement already satisfied: numba in f:\ai-voice-cloning\venv\lib\site-packages (from TorToiSe==2.4.5) (0.58.1)
Requirement already satisfied: filelock in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (3.9.0)
Requirement already satisfied: huggingface-hub<1.0,>=0.1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (0.19.4)
Requirement already satisfied: packaging>=20.0 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (23.2)
Requirement already satisfied: pyyaml>=5.1 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (6.0.1)
Requirement already satisfied: regex!=2019.12.17 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (2023.10.3)
Requirement already satisfied: requests in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->TorToiSe==2.4.5) (2.28.1)
Requirement already satisfied: colorama in f:\ai-voice-cloning\venv\lib\site-packages (from tqdm->TorToiSe==2.4.5) (0.4.6)
Requirement already satisfied: pydantic>=1.9.1 in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->TorToiSe==2.4.5) (2.5.2)
Requirement already satisfied: typing-extensions in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->TorToiSe==2.4.5) (4.9.0)
Requirement already satisfied: audioread>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (3.0.1)
Requirement already satisfied: scikit-learn!=0.19.0,>=0.14.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (1.3.2)
Requirement already satisfied: joblib>=0.14 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (1.3.2)
Requirement already satisfied: decorator>=3.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (5.1.1)
Requirement already satisfied: resampy>=0.2.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (0.4.2)
Requirement already satisfied: soundfile>=0.10.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (0.12.1)
Requirement already satisfied: pooch>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->TorToiSe==2.4.5) (1.8.0)
Requirement already satisfied: llvmlite<0.42,>=0.41.0dev0 in f:\ai-voice-cloning\venv\lib\site-packages (from numba->TorToiSe==2.4.5) (0.41.1)
Requirement already satisfied: beartype in f:\ai-voice-cloning\venv\lib\site-packages (from rotary-embedding-torch->TorToiSe==2.4.5) (0.16.4)
Requirement already satisfied: torch>=2.0 in f:\ai-voice-cloning\venv\lib\site-packages (from rotary-embedding-torch->TorToiSe==2.4.5) (2.1.1+cu118)
Requirement already satisfied: sympy in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (1.12)
Requirement already satisfied: networkx in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (3.0)
Requirement already satisfied: jinja2 in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (3.1.2)
Requirement already satisfied: fsspec in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (2023.12.2)
Requirement already satisfied: platformdirs>=2.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pooch>=1.0->librosa->TorToiSe==2.4.5) (4.1.0)
Requirement already satisfied: annotated-types>=0.4.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->TorToiSe==2.4.5) (0.6.0)
Requirement already satisfied: pydantic-core==2.14.5 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->TorToiSe==2.4.5) (2.14.5)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers->TorToiSe==2.4.5) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers->TorToiSe==2.4.5) (3.4)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers->TorToiSe==2.4.5) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->transformers->TorToiSe==2.4.5) (2022.12.7)
Requirement already satisfied: cffi>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from soundfile>=0.10.2->librosa->TorToiSe==2.4.5) (1.16.0)
Requirement already satisfied: pycparser in f:\ai-voice-cloning\venv\lib\site-packages (from cffi>=1.0->soundfile>=0.10.2->librosa->TorToiSe==2.4.5) (2.21)
Requirement already satisfied: MarkupSafe>=2.0 in f:\ai-voice-cloning\venv\lib\site-packages (from jinja2->torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (2.1.3)
Requirement already satisfied: mpmath>=0.19 in f:\ai-voice-cloning\venv\lib\site-packages (from sympy->torch>=2.0->rotary-embedding-torch->TorToiSe==2.4.5) (1.3.0)
Building wheels for collected packages: TorToiSe
  Building editable for TorToiSe (pyproject.toml) ... done
  Created wheel for TorToiSe: filename=TorToiSe-2.4.5-0.editable-py3-none-any.whl size=11618 sha256=99e125080d2416c375398c84352a56c5522182fcedc7435787021a18cf155c9b
  Stored in directory: C:\Users\fidchell\AppData\Local\Temp\pip-ephem-wheel-cache-mygh0k1s\wheels\b1\54\2e\7466ca8ee98a5278782e141cbfac4b7d8d0ef8a583ef3037f5
Successfully built TorToiSe
Installing collected packages: TorToiSe
Successfully installed TorToiSe-2.4.5
Ignoring bitsandbytes: markers 'platform_system != "Windows"' don't match your environment
Requirement already satisfied: numpy in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 2)) (1.23.5)
Requirement already satisfied: pyyaml in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 3)) (6.0.1)
Collecting tb-nightly (from -r .\modules\dlas\requirements.txt (line 4))
  Downloading tb_nightly-2.16.0a20231213-py3-none-any.whl.metadata (1.8 kB)
Collecting future (from -r .\modules\dlas\requirements.txt (line 5))
  Using cached future-0.18.3.tar.gz (840 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting scp (from -r .\modules\dlas\requirements.txt (line 6))
  Using cached scp-0.14.5-py2.py3-none-any.whl (8.7 kB)
Requirement already satisfied: tqdm in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 7)) (4.66.1)
Collecting matplotlib (from -r .\modules\dlas\requirements.txt (line 8))
  Using cached matplotlib-3.8.2-cp310-cp310-win_amd64.whl.metadata (5.9 kB)
Requirement already satisfied: scipy in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 9)) (1.11.4)
Collecting munch (from -r .\modules\dlas\requirements.txt (line 10))
  Using cached munch-4.0.0-py2.py3-none-any.whl.metadata (5.9 kB)
Collecting tensorboard (from -r .\modules\dlas\requirements.txt (line 13))
  Using cached tensorboard-2.15.1-py3-none-any.whl.metadata (1.7 kB)
Collecting orjson (from -r .\modules\dlas\requirements.txt (line 14))
  Using cached orjson-3.9.10-cp310-none-win_amd64.whl.metadata (50 kB)
Requirement already satisfied: einops in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 15)) (0.7.0)
Collecting lambda-networks (from -r .\modules\dlas\requirements.txt (line 16))
  Using cached lambda_networks-0.4.0-py3-none-any.whl (5.0 kB)
Collecting mup (from -r .\modules\dlas\requirements.txt (line 17))
  Using cached mup-1.0.0.tar.gz (28 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting opencv-python (from -r .\modules\dlas\requirements.txt (line 20))
  Using cached opencv_python-4.8.1.78-cp37-abi3-win_amd64.whl.metadata (20 kB)
Collecting kornia (from -r .\modules\dlas\requirements.txt (line 21))
  Using cached kornia-0.7.0-py2.py3-none-any.whl.metadata (12 kB)
Collecting pytorch_ssim (from -r .\modules\dlas\requirements.txt (line 22))
  Using cached pytorch_ssim-0.1.tar.gz (1.4 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting gsa-pytorch (from -r .\modules\dlas\requirements.txt (line 23))
  Using cached gsa_pytorch-0.2.2-py3-none-any.whl (3.6 kB)
Collecting pytorch_fid (from -r .\modules\dlas\requirements.txt (line 24))
  Using cached pytorch_fid-0.3.0-py3-none-any.whl (15 kB)
Requirement already satisfied: inflect in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 27)) (7.0.0)
Requirement already satisfied: librosa in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 28)) (0.8.1)
Requirement already satisfied: Unidecode in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 29)) (1.3.7)
Collecting tgt (from -r .\modules\dlas\requirements.txt (line 30))
  Using cached tgt-1.4.4.tar.gz (21 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting pyworld (from -r .\modules\dlas\requirements.txt (line 31))
  Downloading pyworld-0.3.4-cp310-cp310-win_amd64.whl.metadata (6.4 kB)
Collecting audio2numpy (from -r .\modules\dlas\requirements.txt (line 32))
  Using cached audio2numpy-0.1.2-py3-none-any.whl (10 kB)
Requirement already satisfied: SoundFile in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 33)) (0.12.1)
Requirement already satisfied: transformers in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 36)) (4.19.0)
Requirement already satisfied: tokenizers in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 37)) (0.12.1)
Collecting jiwer (from -r .\modules\dlas\requirements.txt (line 38))
  Using cached jiwer-3.0.3-py3-none-any.whl.metadata (2.6 kB)
Collecting omegaconf (from -r .\modules\dlas\requirements.txt (line 39))
  Using cached omegaconf-2.3.0-py3-none-any.whl (79 kB)
Collecting vector_quantize_pytorch (from -r .\modules\dlas\requirements.txt (line 42))
  Downloading vector_quantize_pytorch-1.12.1-py3-none-any.whl.metadata (681 bytes)
Collecting linear_attention_transformer (from -r .\modules\dlas\requirements.txt (line 43))
  Using cached linear_attention_transformer-0.19.1-py3-none-any.whl (12 kB)
Requirement already satisfied: rotary-embedding-torch in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\modules\dlas\requirements.txt (line 44)) (0.4.0)
Collecting axial_positional_embedding (from -r .\modules\dlas\requirements.txt (line 45))
  Using cached axial_positional_embedding-0.2.1.tar.gz (2.6 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting g-mlp-pytorch (from -r .\modules\dlas\requirements.txt (line 46))
  Using cached g_mlp_pytorch-0.1.5-py3-none-any.whl (5.9 kB)
Collecting x-clip (from -r .\modules\dlas\requirements.txt (line 47))
  Using cached x_clip-0.14.4-py3-none-any.whl.metadata (724 bytes)
Collecting x_transformers==1.0.4 (from -r .\modules\dlas\requirements.txt (line 48))
  Using cached x_transformers-1.0.4-py3-none-any.whl (16 kB)
Collecting bitsandbytes==0.35.0 (from -r .\modules\dlas\requirements.txt (line 51))
  Using cached bitsandbytes-0.35.0-py3-none-any.whl (62.5 MB)
Requirement already satisfied: torch>=1.6 in f:\ai-voice-cloning\venv\lib\site-packages (from x_transformers==1.0.4->-r .\modules\dlas\requirements.txt (line 48)) (2.1.1+cu118)
Collecting absl-py>=0.4 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached absl_py-2.0.0-py3-none-any.whl.metadata (2.3 kB)
Collecting grpcio>=1.48.2 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Downloading grpcio-1.60.0-cp310-cp310-win_amd64.whl.metadata (4.2 kB)
Collecting google-auth<3,>=1.6.3 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached google_auth-2.25.2-py2.py3-none-any.whl.metadata (4.7 kB)
Collecting google-auth-oauthlib<2,>=0.5 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached google_auth_oauthlib-1.2.0-py2.py3-none-any.whl.metadata (2.7 kB)
Collecting markdown>=2.6.8 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached Markdown-3.5.1-py3-none-any.whl.metadata (7.1 kB)
Collecting protobuf>=3.19.6 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached protobuf-4.25.1-cp310-abi3-win_amd64.whl.metadata (541 bytes)
Requirement already satisfied: requests<3,>=2.21.0 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (2.28.1)
Requirement already satisfied: setuptools>=41.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (65.5.0)
Collecting six>1.9 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached six-1.16.0-py2.py3-none-any.whl (11 kB)
Collecting tensorboard-data-server<0.8.0,>=0.7.0 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached tensorboard_data_server-0.7.2-py3-none-any.whl.metadata (1.1 kB)
Collecting tf-keras-nightly (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Downloading tf_keras_nightly-2.16.0.dev2023121310-py3-none-any.whl.metadata (1.5 kB)
Collecting werkzeug>=1.0.1 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached werkzeug-3.0.1-py3-none-any.whl.metadata (4.1 kB)
Collecting paramiko (from scp->-r .\modules\dlas\requirements.txt (line 6))
  Using cached paramiko-3.3.1-py3-none-any.whl.metadata (4.4 kB)
Requirement already satisfied: colorama in f:\ai-voice-cloning\venv\lib\site-packages (from tqdm->-r .\modules\dlas\requirements.txt (line 7)) (0.4.6)
Collecting contourpy>=1.0.1 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached contourpy-1.2.0-cp310-cp310-win_amd64.whl.metadata (5.8 kB)
Collecting cycler>=0.10 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached cycler-0.12.1-py3-none-any.whl.metadata (3.8 kB)
Collecting fonttools>=4.22.0 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached fonttools-4.46.0-cp310-cp310-win_amd64.whl.metadata (159 kB)
Collecting kiwisolver>=1.3.1 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached kiwisolver-1.4.5-cp310-cp310-win_amd64.whl.metadata (6.5 kB)
Requirement already satisfied: packaging>=20.0 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->-r .\modules\dlas\requirements.txt (line 8)) (23.2)
Requirement already satisfied: pillow>=8 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->-r .\modules\dlas\requirements.txt (line 8)) (9.3.0)
Collecting pyparsing>=2.3.1 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached pyparsing-3.1.1-py3-none-any.whl.metadata (5.1 kB)
Collecting python-dateutil>=2.7 (from matplotlib->-r .\modules\dlas\requirements.txt (line 8))
  Using cached python_dateutil-2.8.2-py2.py3-none-any.whl (247 kB)
Collecting protobuf>=3.19.6 (from tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached protobuf-4.23.4-cp310-abi3-win_amd64.whl.metadata (540 bytes)
Collecting pandas (from mup->-r .\modules\dlas\requirements.txt (line 17))
  Using cached pandas-2.1.4-cp310-cp310-win_amd64.whl.metadata (18 kB)
Requirement already satisfied: torchvision in f:\ai-voice-cloning\venv\lib\site-packages (from mup->-r .\modules\dlas\requirements.txt (line 17)) (0.16.1+cu118)
Collecting seaborn (from mup->-r .\modules\dlas\requirements.txt (line 17))
  Using cached seaborn-0.13.0-py3-none-any.whl.metadata (5.3 kB)
Requirement already satisfied: pydantic>=1.9.1 in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->-r .\modules\dlas\requirements.txt (line 27)) (2.5.2)
Requirement already satisfied: typing-extensions in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->-r .\modules\dlas\requirements.txt (line 27)) (4.9.0)
Requirement already satisfied: audioread>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (3.0.1)
Requirement already satisfied: scikit-learn!=0.19.0,>=0.14.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (1.3.2)
Requirement already satisfied: joblib>=0.14 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (1.3.2)
Requirement already satisfied: decorator>=3.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (5.1.1)
Requirement already satisfied: resampy>=0.2.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (0.4.2)
Requirement already satisfied: numba>=0.43.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (0.58.1)
Requirement already satisfied: pooch>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->-r .\modules\dlas\requirements.txt (line 28)) (1.8.0)
Collecting cython>=0.24 (from pyworld->-r .\modules\dlas\requirements.txt (line 31))
  Using cached Cython-3.0.6-cp310-cp310-win_amd64.whl.metadata (3.2 kB)
Collecting ffmpeg (from audio2numpy->-r .\modules\dlas\requirements.txt (line 32))
  Using cached ffmpeg-1.4.tar.gz (5.1 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Requirement already satisfied: cffi>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from SoundFile->-r .\modules\dlas\requirements.txt (line 33)) (1.16.0)
Requirement already satisfied: filelock in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->-r .\modules\dlas\requirements.txt (line 36)) (3.9.0)
Requirement already satisfied: huggingface-hub<1.0,>=0.1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->-r .\modules\dlas\requirements.txt (line 36)) (0.19.4)
Requirement already satisfied: regex!=2019.12.17 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->-r .\modules\dlas\requirements.txt (line 36)) (2023.10.3)
Collecting click<9.0.0,>=8.1.3 (from jiwer->-r .\modules\dlas\requirements.txt (line 38))
  Using cached click-8.1.7-py3-none-any.whl.metadata (3.0 kB)
Collecting rapidfuzz<4,>=3 (from jiwer->-r .\modules\dlas\requirements.txt (line 38))
  Downloading rapidfuzz-3.5.2-cp310-cp310-win_amd64.whl.metadata (11 kB)
Collecting antlr4-python3-runtime==4.9.* (from omegaconf->-r .\modules\dlas\requirements.txt (line 39))
  Using cached antlr4-python3-runtime-4.9.3.tar.gz (117 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting linformer>=0.1.0 (from linear_attention_transformer->-r .\modules\dlas\requirements.txt (line 43))
  Using cached linformer-0.2.1-py3-none-any.whl (6.1 kB)
Collecting local-attention (from linear_attention_transformer->-r .\modules\dlas\requirements.txt (line 43))
  Using cached local_attention-1.9.0-py3-none-any.whl.metadata (682 bytes)
Collecting product-key-memory>=0.1.5 (from linear_attention_transformer->-r .\modules\dlas\requirements.txt (line 43))
  Using cached product_key_memory-0.2.10-py3-none-any.whl.metadata (717 bytes)
Requirement already satisfied: beartype in f:\ai-voice-cloning\venv\lib\site-packages (from rotary-embedding-torch->-r .\modules\dlas\requirements.txt (line 44)) (0.16.4)
Collecting ftfy (from x-clip->-r .\modules\dlas\requirements.txt (line 47))
  Using cached ftfy-6.1.3-py3-none-any.whl.metadata (6.2 kB)
Requirement already satisfied: pycparser in f:\ai-voice-cloning\venv\lib\site-packages (from cffi>=1.0->SoundFile->-r .\modules\dlas\requirements.txt (line 33)) (2.21)
Collecting cachetools<6.0,>=2.0.0 (from google-auth<3,>=1.6.3->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached cachetools-5.3.2-py3-none-any.whl.metadata (5.2 kB)
Collecting pyasn1-modules>=0.2.1 (from google-auth<3,>=1.6.3->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached pyasn1_modules-0.3.0-py2.py3-none-any.whl (181 kB)
Collecting rsa<5,>=3.1.4 (from google-auth<3,>=1.6.3->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached rsa-4.9-py3-none-any.whl (34 kB)
Collecting requests-oauthlib>=0.7.0 (from google-auth-oauthlib<2,>=0.5->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached requests_oauthlib-1.3.1-py2.py3-none-any.whl (23 kB)
Requirement already satisfied: fsspec>=2023.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from huggingface-hub<1.0,>=0.1.0->transformers->-r .\modules\dlas\requirements.txt (line 36)) (2023.12.2)
Requirement already satisfied: llvmlite<0.42,>=0.41.0dev0 in f:\ai-voice-cloning\venv\lib\site-packages (from numba>=0.43.0->librosa->-r .\modules\dlas\requirements.txt (line 28)) (0.41.1)
Requirement already satisfied: platformdirs>=2.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pooch>=1.0->librosa->-r .\modules\dlas\requirements.txt (line 28)) (4.1.0)
Collecting colt5-attention>=0.10.14 (from product-key-memory>=0.1.5->linear_attention_transformer->-r .\modules\dlas\requirements.txt (line 43))
  Using cached CoLT5_attention-0.10.19-py3-none-any.whl.metadata (738 bytes)
Requirement already satisfied: annotated-types>=0.4.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->-r .\modules\dlas\requirements.txt (line 27)) (0.6.0)
Requirement already satisfied: pydantic-core==2.14.5 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->-r .\modules\dlas\requirements.txt (line 27)) (2.14.5)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (3.4)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (2022.12.7)
Requirement already satisfied: threadpoolctl>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from scikit-learn!=0.19.0,>=0.14.0->librosa->-r .\modules\dlas\requirements.txt (line 28)) (3.2.0)
Requirement already satisfied: sympy in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x_transformers==1.0.4->-r .\modules\dlas\requirements.txt (line 48)) (1.12)
Requirement already satisfied: networkx in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x_transformers==1.0.4->-r .\modules\dlas\requirements.txt (line 48)) (3.0)
Requirement already satisfied: jinja2 in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x_transformers==1.0.4->-r .\modules\dlas\requirements.txt (line 48)) (3.1.2)
Requirement already satisfied: MarkupSafe>=2.1.1 in f:\ai-voice-cloning\venv\lib\site-packages (from werkzeug>=1.0.1->tb-nightly->-r .\modules\dlas\requirements.txt (line 4)) (2.1.3)
Collecting wcwidth<0.3.0,>=0.2.12 (from ftfy->x-clip->-r .\modules\dlas\requirements.txt (line 47))
  Using cached wcwidth-0.2.12-py2.py3-none-any.whl.metadata (14 kB)
Collecting pytz>=2020.1 (from pandas->mup->-r .\modules\dlas\requirements.txt (line 17))
  Using cached pytz-2023.3.post1-py2.py3-none-any.whl.metadata (22 kB)
Collecting tzdata>=2022.1 (from pandas->mup->-r .\modules\dlas\requirements.txt (line 17))
  Using cached tzdata-2023.3-py2.py3-none-any.whl (341 kB)
Collecting bcrypt>=3.2 (from paramiko->scp->-r .\modules\dlas\requirements.txt (line 6))
  Using cached bcrypt-4.1.1-cp37-abi3-win_amd64.whl.metadata (9.5 kB)
Collecting cryptography>=3.3 (from paramiko->scp->-r .\modules\dlas\requirements.txt (line 6))
  Using cached cryptography-41.0.7-cp37-abi3-win_amd64.whl.metadata (5.3 kB)
Collecting pynacl>=1.5 (from paramiko->scp->-r .\modules\dlas\requirements.txt (line 6))
  Using cached PyNaCl-1.5.0-cp36-abi3-win_amd64.whl (212 kB)
Collecting pyasn1<0.6.0,>=0.4.6 (from pyasn1-modules>=0.2.1->google-auth<3,>=1.6.3->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached pyasn1-0.5.1-py2.py3-none-any.whl.metadata (8.6 kB)
Collecting oauthlib>=3.0.0 (from requests-oauthlib>=0.7.0->google-auth-oauthlib<2,>=0.5->tb-nightly->-r .\modules\dlas\requirements.txt (line 4))
  Using cached oauthlib-3.2.2-py3-none-any.whl (151 kB)
Requirement already satisfied: mpmath>=0.19 in f:\ai-voice-cloning\venv\lib\site-packages (from sympy->torch>=1.6->x_transformers==1.0.4->-r .\modules\dlas\requirements.txt (line 48)) (1.3.0)
Downloading tb_nightly-2.16.0a20231213-py3-none-any.whl (5.5 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 5.5/5.5 MB 9.6 MB/s eta 0:00:00
Using cached matplotlib-3.8.2-cp310-cp310-win_amd64.whl (7.6 MB)
Using cached munch-4.0.0-py2.py3-none-any.whl (9.9 kB)
Using cached tensorboard-2.15.1-py3-none-any.whl (5.5 MB)
Using cached orjson-3.9.10-cp310-none-win_amd64.whl (135 kB)
Using cached opencv_python-4.8.1.78-cp37-abi3-win_amd64.whl (38.1 MB)
Using cached kornia-0.7.0-py2.py3-none-any.whl (705 kB)
Downloading pyworld-0.3.4-cp310-cp310-win_amd64.whl (224 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 224.5/224.5 kB 6.9 MB/s eta 0:00:00
Using cached jiwer-3.0.3-py3-none-any.whl (21 kB)
Downloading vector_quantize_pytorch-1.12.1-py3-none-any.whl (24 kB)
Using cached x_clip-0.14.4-py3-none-any.whl (1.4 MB)
Using cached absl_py-2.0.0-py3-none-any.whl (130 kB)
Using cached click-8.1.7-py3-none-any.whl (97 kB)
Using cached contourpy-1.2.0-cp310-cp310-win_amd64.whl (186 kB)
Using cached cycler-0.12.1-py3-none-any.whl (8.3 kB)
Using cached Cython-3.0.6-cp310-cp310-win_amd64.whl (2.8 MB)
Using cached fonttools-4.46.0-cp310-cp310-win_amd64.whl (2.2 MB)
Using cached google_auth-2.25.2-py2.py3-none-any.whl (184 kB)
Using cached google_auth_oauthlib-1.2.0-py2.py3-none-any.whl (24 kB)
Downloading grpcio-1.60.0-cp310-cp310-win_amd64.whl (3.7 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.7/3.7 MB 10.3 MB/s eta 0:00:00
Using cached kiwisolver-1.4.5-cp310-cp310-win_amd64.whl (56 kB)
Using cached Markdown-3.5.1-py3-none-any.whl (102 kB)
Using cached product_key_memory-0.2.10-py3-none-any.whl (6.4 kB)
Using cached protobuf-4.23.4-cp310-abi3-win_amd64.whl (422 kB)
Using cached pyparsing-3.1.1-py3-none-any.whl (103 kB)
Downloading rapidfuzz-3.5.2-cp310-cp310-win_amd64.whl (1.7 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.7/1.7 MB 9.9 MB/s eta 0:00:00
Using cached tensorboard_data_server-0.7.2-py3-none-any.whl (2.4 kB)
Using cached werkzeug-3.0.1-py3-none-any.whl (226 kB)
Using cached ftfy-6.1.3-py3-none-any.whl (53 kB)
Using cached local_attention-1.9.0-py3-none-any.whl (8.2 kB)
Using cached pandas-2.1.4-cp310-cp310-win_amd64.whl (10.7 MB)
Using cached paramiko-3.3.1-py3-none-any.whl (224 kB)
Using cached seaborn-0.13.0-py3-none-any.whl (294 kB)
Downloading tf_keras_nightly-2.16.0.dev2023121310-py3-none-any.whl (1.7 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 1.7/1.7 MB 11.0 MB/s eta 0:00:00
Using cached bcrypt-4.1.1-cp37-abi3-win_amd64.whl (158 kB)
Using cached cachetools-5.3.2-py3-none-any.whl (9.3 kB)
Using cached CoLT5_attention-0.10.19-py3-none-any.whl (18 kB)
Using cached cryptography-41.0.7-cp37-abi3-win_amd64.whl (2.7 MB)
Using cached pytz-2023.3.post1-py2.py3-none-any.whl (502 kB)
Using cached wcwidth-0.2.12-py2.py3-none-any.whl (34 kB)
Using cached pyasn1-0.5.1-py2.py3-none-any.whl (84 kB)
Building wheels for collected packages: future, mup, pytorch_ssim, tgt, antlr4-python3-runtime, axial_positional_embedding, ffmpeg
  Building wheel for future (pyproject.toml) ... done
  Created wheel for future: filename=future-0.18.3-py3-none-any.whl size=492054 sha256=3e99eff38158f97310821cd75b4201d5edd0246f3e0f4b13ed31119b20ec8e7c
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\5e\a9\47\f118e66afd12240e4662752cc22cefae5d97275623aa8ef57d
  Building wheel for mup (pyproject.toml) ... done
  Created wheel for mup: filename=mup-1.0.0-py3-none-any.whl size=23682 sha256=cc5c943a5341ca012486c542fb724146ca593c0b25fe1220c905e1fd67de7564
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\f4\c8\88\3c23a3d10c50053b6552d2d30aee5b53ba89a47f742420036c
  Building wheel for pytorch_ssim (pyproject.toml) ... done
  Created wheel for pytorch_ssim: filename=pytorch_ssim-0.1-py3-none-any.whl size=2009 sha256=3fd36a6c185e7c0b0c170fed1b55e54a249d8d042e30b3a006a3d18a8246bcae
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\2e\0c\10\4a3f91bd610b23196f1e28f8af80b3ec86786b50f3e86dc21e
  Building wheel for tgt (pyproject.toml) ... done
  Created wheel for tgt: filename=tgt-1.4.4-py3-none-any.whl size=28950 sha256=6770fb23fbf9b9d38ba32f6c438b14c16069ae2ddf0a7534dc3fc7e61ffa51e4
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\09\e6\aa\821531faeb4e05a65d1c763570e90791467cf0c3f1622dc7e2
  Building wheel for antlr4-python3-runtime (pyproject.toml) ... done
  Created wheel for antlr4-python3-runtime: filename=antlr4_python3_runtime-4.9.3-py3-none-any.whl size=144578 sha256=3a07585d344d506febb72f0ee806286b43c980771a9f897dd4c344e6046a1761
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\12\93\dd\1f6a127edc45659556564c5730f6d4e300888f4bca2d4c5a88
  Building wheel for axial_positional_embedding (pyproject.toml) ... done
  Created wheel for axial_positional_embedding: filename=axial_positional_embedding-0.2.1-py3-none-any.whl size=2891 sha256=10a1194acee0d5285c01c6bfc7080b790987344bb4c82056a7072e60539c5ab2
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\b1\cb\39\7ce7ff2d2fd37cfe1fe7b3a3c43cf410632b2ad3b3f3986d73
  Building wheel for ffmpeg (pyproject.toml) ... done
  Created wheel for ffmpeg: filename=ffmpeg-1.4-py3-none-any.whl size=6089 sha256=25415708e5ed666e7d2999796751e1143006589543201441f576c09af826f85e
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\8e\7a\69\cd6aeb83b126a7f04cbe7c9d929028dc52a6e7d525ff56003a
Successfully built future mup pytorch_ssim tgt antlr4-python3-runtime axial_positional_embedding ffmpeg
Installing collected packages: wcwidth, tgt, pytz, pytorch_ssim, ffmpeg, bitsandbytes, antlr4-python3-runtime, werkzeug, tzdata, tf-keras-nightly, tensorboard-data-server, six, rapidfuzz, pyparsing, pyasn1, protobuf, orjson, opencv-python, omegaconf, oauthlib, munch, markdown, kiwisolver, grpcio, future, ftfy, fonttools, cython, cycler, contourpy, click, cachetools, bcrypt, audio2numpy, absl-py, rsa, requests-oauthlib, pyworld, python-dateutil, pynacl, pyasn1-modules, jiwer, cryptography, x_transformers, vector_quantize_pytorch, paramiko, pandas, matplotlib, local-attention, linformer, lambda-networks, kornia, gsa-pytorch, google-auth, g-mlp-pytorch, axial_positional_embedding, x-clip, seaborn, scp, pytorch_fid, google-auth-oauthlib, colt5-attention, tensorboard, tb-nightly, product-key-memory, mup, linear_attention_transformer
Successfully installed absl-py-2.0.0 antlr4-python3-runtime-4.9.3 audio2numpy-0.1.2 axial_positional_embedding-0.2.1 bcrypt-4.1.1 bitsandbytes-0.35.0 cachetools-5.3.2 click-8.1.7 colt5-attention-0.10.19 contourpy-1.2.0 cryptography-41.0.7 cycler-0.12.1 cython-3.0.6 ffmpeg-1.4 fonttools-4.46.0 ftfy-6.1.3 future-0.18.3 g-mlp-pytorch-0.1.5 google-auth-2.25.2 google-auth-oauthlib-1.2.0 grpcio-1.60.0 gsa-pytorch-0.2.2 jiwer-3.0.3 kiwisolver-1.4.5 kornia-0.7.0 lambda-networks-0.4.0 linear_attention_transformer-0.19.1 linformer-0.2.1 local-attention-1.9.0 markdown-3.5.1 matplotlib-3.8.2 munch-4.0.0 mup-1.0.0 oauthlib-3.2.2 omegaconf-2.3.0 opencv-python-4.8.1.78 orjson-3.9.10 pandas-2.1.4 paramiko-3.3.1 product-key-memory-0.2.10 protobuf-4.23.4 pyasn1-0.5.1 pyasn1-modules-0.3.0 pynacl-1.5.0 pyparsing-3.1.1 python-dateutil-2.8.2 pytorch_fid-0.3.0 pytorch_ssim-0.1 pytz-2023.3.post1 pyworld-0.3.4 rapidfuzz-3.5.2 requests-oauthlib-1.3.1 rsa-4.9 scp-0.14.5 seaborn-0.13.0 six-1.16.0 tb-nightly-2.16.0a20231213 tensorboard-2.15.1 tensorboard-data-server-0.7.2 tf-keras-nightly-2.16.0.dev2023121310 tgt-1.4.4 tzdata-2023.3 vector_quantize_pytorch-1.12.1 wcwidth-0.2.12 werkzeug-3.0.1 x-clip-0.14.4 x_transformers-1.0.4
Obtaining file:///F:/ai-voice-cloning/modules/dlas
  Installing build dependencies ... done
  Checking if build backend supports build_editable ... done
  Getting requirements to build editable ... done
  Preparing editable metadata (pyproject.toml) ... done
Requirement already satisfied: numpy in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.23.5)
Requirement already satisfied: pyyaml in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (6.0.1)
Requirement already satisfied: tb-nightly in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (2.16.0a20231213)
Requirement already satisfied: future in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.18.3)
Requirement already satisfied: scp in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.14.5)
Requirement already satisfied: tqdm in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (4.66.1)
Requirement already satisfied: matplotlib in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (3.8.2)
Requirement already satisfied: scipy in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.11.4)
Requirement already satisfied: munch in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (4.0.0)
Requirement already satisfied: tensorboard in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (2.15.1)
Requirement already satisfied: orjson in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (3.9.10)
Requirement already satisfied: einops in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.7.0)
Requirement already satisfied: lambda-networks in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.4.0)
Requirement already satisfied: mup in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.0.0)
Requirement already satisfied: opencv-python in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (4.8.1.78)
Requirement already satisfied: kornia in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.7.0)
Requirement already satisfied: pytorch-ssim in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.1)
Requirement already satisfied: gsa-pytorch in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.2.2)
Requirement already satisfied: pytorch-fid in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.3.0)
Requirement already satisfied: inflect in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (7.0.0)
Requirement already satisfied: librosa in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.8.1)
Requirement already satisfied: Unidecode in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.3.7)
Requirement already satisfied: tgt in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.4.4)
Requirement already satisfied: pyworld in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.3.4)
Requirement already satisfied: audio2numpy in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.1.2)
Requirement already satisfied: SoundFile in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.12.1)
Requirement already satisfied: transformers in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (4.19.0)
Requirement already satisfied: tokenizers in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.12.1)
Requirement already satisfied: jiwer in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (3.0.3)
Requirement already satisfied: omegaconf in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (2.3.0)
Requirement already satisfied: vector-quantize-pytorch in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.12.1)
Requirement already satisfied: linear-attention-transformer in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.19.1)
Requirement already satisfied: rotary-embedding-torch in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.4.0)
Requirement already satisfied: axial-positional-embedding in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.2.1)
Requirement already satisfied: g-mlp-pytorch in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.1.5)
Requirement already satisfied: x-clip in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.14.4)
Requirement already satisfied: x-transformers==1.0.4 in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (1.0.4)
Requirement already satisfied: bitsandbytes==0.35.0 in f:\ai-voice-cloning\venv\lib\site-packages (from dlas==0.0.1) (0.35.0)
Requirement already satisfied: torch>=1.6 in f:\ai-voice-cloning\venv\lib\site-packages (from x-transformers==1.0.4->dlas==0.0.1) (2.1.1+cu118)
Requirement already satisfied: ffmpeg in f:\ai-voice-cloning\venv\lib\site-packages (from audio2numpy->dlas==0.0.1) (1.4)
Requirement already satisfied: pydantic>=1.9.1 in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->dlas==0.0.1) (2.5.2)
Requirement already satisfied: typing-extensions in f:\ai-voice-cloning\venv\lib\site-packages (from inflect->dlas==0.0.1) (4.9.0)
Requirement already satisfied: click<9.0.0,>=8.1.3 in f:\ai-voice-cloning\venv\lib\site-packages (from jiwer->dlas==0.0.1) (8.1.7)
Requirement already satisfied: rapidfuzz<4,>=3 in f:\ai-voice-cloning\venv\lib\site-packages (from jiwer->dlas==0.0.1) (3.5.2)
Requirement already satisfied: packaging in f:\ai-voice-cloning\venv\lib\site-packages (from kornia->dlas==0.0.1) (23.2)
Requirement already satisfied: audioread>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (3.0.1)
Requirement already satisfied: scikit-learn!=0.19.0,>=0.14.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (1.3.2)
Requirement already satisfied: joblib>=0.14 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (1.3.2)
Requirement already satisfied: decorator>=3.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (5.1.1)
Requirement already satisfied: resampy>=0.2.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (0.4.2)
Requirement already satisfied: numba>=0.43.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (0.58.1)
Requirement already satisfied: pooch>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->dlas==0.0.1) (1.8.0)
Requirement already satisfied: cffi>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from SoundFile->dlas==0.0.1) (1.16.0)
Requirement already satisfied: linformer>=0.1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from linear-attention-transformer->dlas==0.0.1) (0.2.1)
Requirement already satisfied: local-attention in f:\ai-voice-cloning\venv\lib\site-packages (from linear-attention-transformer->dlas==0.0.1) (1.9.0)
Requirement already satisfied: product-key-memory>=0.1.5 in f:\ai-voice-cloning\venv\lib\site-packages (from linear-attention-transformer->dlas==0.0.1) (0.2.10)
Requirement already satisfied: contourpy>=1.0.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (1.2.0)
Requirement already satisfied: cycler>=0.10 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (0.12.1)
Requirement already satisfied: fonttools>=4.22.0 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (4.46.0)
Requirement already satisfied: kiwisolver>=1.3.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (1.4.5)
Requirement already satisfied: pillow>=8 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (9.3.0)
Requirement already satisfied: pyparsing>=2.3.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (3.1.1)
Requirement already satisfied: python-dateutil>=2.7 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->dlas==0.0.1) (2.8.2)
Requirement already satisfied: pandas in f:\ai-voice-cloning\venv\lib\site-packages (from mup->dlas==0.0.1) (2.1.4)
Requirement already satisfied: torchvision in f:\ai-voice-cloning\venv\lib\site-packages (from mup->dlas==0.0.1) (0.16.1+cu118)
Requirement already satisfied: seaborn in f:\ai-voice-cloning\venv\lib\site-packages (from mup->dlas==0.0.1) (0.13.0)
Requirement already satisfied: antlr4-python3-runtime==4.9.* in f:\ai-voice-cloning\venv\lib\site-packages (from omegaconf->dlas==0.0.1) (4.9.3)
Requirement already satisfied: cython>=0.24 in f:\ai-voice-cloning\venv\lib\site-packages (from pyworld->dlas==0.0.1) (3.0.6)
Requirement already satisfied: beartype in f:\ai-voice-cloning\venv\lib\site-packages (from rotary-embedding-torch->dlas==0.0.1) (0.16.4)
Requirement already satisfied: paramiko in f:\ai-voice-cloning\venv\lib\site-packages (from scp->dlas==0.0.1) (3.3.1)
Requirement already satisfied: absl-py>=0.4 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (2.0.0)
Requirement already satisfied: grpcio>=1.48.2 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (1.60.0)
Requirement already satisfied: google-auth<3,>=1.6.3 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (2.25.2)
Requirement already satisfied: google-auth-oauthlib<2,>=0.5 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (1.2.0)
Requirement already satisfied: markdown>=2.6.8 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (3.5.1)
Requirement already satisfied: protobuf>=3.19.6 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (4.23.4)
Requirement already satisfied: requests<3,>=2.21.0 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (2.28.1)
Requirement already satisfied: setuptools>=41.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (65.5.0)
Requirement already satisfied: six>1.9 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (1.16.0)
Requirement already satisfied: tensorboard-data-server<0.8.0,>=0.7.0 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (0.7.2)
Requirement already satisfied: tf-keras-nightly in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (2.16.0.dev2023121310)
Requirement already satisfied: werkzeug>=1.0.1 in f:\ai-voice-cloning\venv\lib\site-packages (from tb-nightly->dlas==0.0.1) (3.0.1)
Requirement already satisfied: colorama in f:\ai-voice-cloning\venv\lib\site-packages (from tqdm->dlas==0.0.1) (0.4.6)
Requirement already satisfied: filelock in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->dlas==0.0.1) (3.9.0)
Requirement already satisfied: huggingface-hub<1.0,>=0.1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->dlas==0.0.1) (0.19.4)
Requirement already satisfied: regex!=2019.12.17 in f:\ai-voice-cloning\venv\lib\site-packages (from transformers->dlas==0.0.1) (2023.10.3)
Requirement already satisfied: ftfy in f:\ai-voice-cloning\venv\lib\site-packages (from x-clip->dlas==0.0.1) (6.1.3)
Requirement already satisfied: pycparser in f:\ai-voice-cloning\venv\lib\site-packages (from cffi>=1.0->SoundFile->dlas==0.0.1) (2.21)
Requirement already satisfied: cachetools<6.0,>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from google-auth<3,>=1.6.3->tb-nightly->dlas==0.0.1) (5.3.2)
Requirement already satisfied: pyasn1-modules>=0.2.1 in f:\ai-voice-cloning\venv\lib\site-packages (from google-auth<3,>=1.6.3->tb-nightly->dlas==0.0.1) (0.3.0)
Requirement already satisfied: rsa<5,>=3.1.4 in f:\ai-voice-cloning\venv\lib\site-packages (from google-auth<3,>=1.6.3->tb-nightly->dlas==0.0.1) (4.9)
Requirement already satisfied: requests-oauthlib>=0.7.0 in f:\ai-voice-cloning\venv\lib\site-packages (from google-auth-oauthlib<2,>=0.5->tb-nightly->dlas==0.0.1) (1.3.1)
Requirement already satisfied: fsspec>=2023.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from huggingface-hub<1.0,>=0.1.0->transformers->dlas==0.0.1) (2023.12.2)
Requirement already satisfied: llvmlite<0.42,>=0.41.0dev0 in f:\ai-voice-cloning\venv\lib\site-packages (from numba>=0.43.0->librosa->dlas==0.0.1) (0.41.1)
Requirement already satisfied: platformdirs>=2.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pooch>=1.0->librosa->dlas==0.0.1) (4.1.0)
Requirement already satisfied: colt5-attention>=0.10.14 in f:\ai-voice-cloning\venv\lib\site-packages (from product-key-memory>=0.1.5->linear-attention-transformer->dlas==0.0.1) (0.10.19)
Requirement already satisfied: annotated-types>=0.4.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->dlas==0.0.1) (0.6.0)
Requirement already satisfied: pydantic-core==2.14.5 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic>=1.9.1->inflect->dlas==0.0.1) (2.14.5)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->dlas==0.0.1) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->dlas==0.0.1) (3.4)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->dlas==0.0.1) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\ai-voice-cloning\venv\lib\site-packages (from requests<3,>=2.21.0->tb-nightly->dlas==0.0.1) (2022.12.7)
Requirement already satisfied: threadpoolctl>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from scikit-learn!=0.19.0,>=0.14.0->librosa->dlas==0.0.1) (3.2.0)
Requirement already satisfied: sympy in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x-transformers==1.0.4->dlas==0.0.1) (1.12)
Requirement already satisfied: networkx in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x-transformers==1.0.4->dlas==0.0.1) (3.0)
Requirement already satisfied: jinja2 in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=1.6->x-transformers==1.0.4->dlas==0.0.1) (3.1.2)
Requirement already satisfied: MarkupSafe>=2.1.1 in f:\ai-voice-cloning\venv\lib\site-packages (from werkzeug>=1.0.1->tb-nightly->dlas==0.0.1) (2.1.3)
Requirement already satisfied: wcwidth<0.3.0,>=0.2.12 in f:\ai-voice-cloning\venv\lib\site-packages (from ftfy->x-clip->dlas==0.0.1) (0.2.12)
Requirement already satisfied: pytz>=2020.1 in f:\ai-voice-cloning\venv\lib\site-packages (from pandas->mup->dlas==0.0.1) (2023.3.post1)
Requirement already satisfied: tzdata>=2022.1 in f:\ai-voice-cloning\venv\lib\site-packages (from pandas->mup->dlas==0.0.1) (2023.3)
Requirement already satisfied: bcrypt>=3.2 in f:\ai-voice-cloning\venv\lib\site-packages (from paramiko->scp->dlas==0.0.1) (4.1.1)
Requirement already satisfied: cryptography>=3.3 in f:\ai-voice-cloning\venv\lib\site-packages (from paramiko->scp->dlas==0.0.1) (41.0.7)
Requirement already satisfied: pynacl>=1.5 in f:\ai-voice-cloning\venv\lib\site-packages (from paramiko->scp->dlas==0.0.1) (1.5.0)
Requirement already satisfied: pyasn1<0.6.0,>=0.4.6 in f:\ai-voice-cloning\venv\lib\site-packages (from pyasn1-modules>=0.2.1->google-auth<3,>=1.6.3->tb-nightly->dlas==0.0.1) (0.5.1)
Requirement already satisfied: oauthlib>=3.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from requests-oauthlib>=0.7.0->google-auth-oauthlib<2,>=0.5->tb-nightly->dlas==0.0.1) (3.2.2)
Requirement already satisfied: mpmath>=0.19 in f:\ai-voice-cloning\venv\lib\site-packages (from sympy->torch>=1.6->x-transformers==1.0.4->dlas==0.0.1) (1.3.0)
Building wheels for collected packages: dlas
  Building editable for dlas (pyproject.toml) ... done
  Created wheel for dlas: filename=dlas-0.0.1-0.editable-py3-none-any.whl size=9712 sha256=9a089e4f12c8265f19e78c9c79a22dfa4158e05d36137fa3bee65cdfbf10b39b
  Stored in directory: C:\Users\fidchell\AppData\Local\Temp\pip-ephem-wheel-cache-l26uurkh\wheels\49\be\3b\4c0a793043f8a383cf8184e32ef9ff50baec444dd4f68b2c20
Successfully built dlas
Installing collected packages: dlas
Successfully installed dlas-0.0.1
Looking in indexes: https://pypi.org/simple, https://download.pytorch.org/whl/cu118
Requirement already satisfied: torch>=2.1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\requirements.txt (line 2)) (2.1.1+cu118)
Requirement already satisfied: torchvision in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\requirements.txt (line 3)) (0.16.1+cu118)
Requirement already satisfied: torchaudio in f:\ai-voice-cloning\venv\lib\site-packages (from -r .\requirements.txt (line 4)) (2.1.1+cu118)
Collecting openai-whisper (from -r .\requirements.txt (line 6))
  Using cached openai_whisper-20231117-py3-none-any.whl
Collecting more-itertools (from -r .\requirements.txt (line 7))
  Using cached more_itertools-10.1.0-py3-none-any.whl.metadata (33 kB)
Collecting ffmpeg-python (from -r .\requirements.txt (line 8))
  Using cached ffmpeg_python-0.2.0-py3-none-any.whl (25 kB)
Collecting gradio<=3.23.0 (from -r .\requirements.txt (line 9))
  Using cached gradio-3.23.0-py3-none-any.whl (15.8 MB)
Collecting music-tag (from -r .\requirements.txt (line 10))
  Using cached music-tag-0.4.3.tar.gz (23 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting voicefixer (from -r .\requirements.txt (line 11))
  Using cached voicefixer-0.1.3-py3-none-any.whl.metadata (10 kB)
Collecting psutil (from -r .\requirements.txt (line 12))
  Using cached psutil-5.9.6-cp37-abi3-win_amd64.whl.metadata (22 kB)
Collecting phonemizer (from -r .\requirements.txt (line 13))
  Using cached phonemizer-3.2.1-py3-none-any.whl (90 kB)
Collecting pydantic==1.10.11 (from -r .\requirements.txt (line 14))
  Downloading pydantic-1.10.11-cp310-cp310-win_amd64.whl.metadata (150 kB)
     ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 150.3/150.3 kB 892.1 kB/s eta 0:00:00
Collecting websockets (from -r .\requirements.txt (line 15))
  Downloading websockets-12.0-cp310-cp310-win_amd64.whl.metadata (6.8 kB)
Collecting beartype==0.15.0 (from -r .\requirements.txt (line 16))
  Using cached beartype-0.15.0-py3-none-any.whl.metadata (28 kB)
Collecting pykakasi (from -r .\requirements.txt (line 17))
  Using cached pykakasi-2.2.1-py3-none-any.whl (2.4 MB)
Requirement already satisfied: typing-extensions>=4.2.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pydantic==1.10.11->-r .\requirements.txt (line 14)) (4.9.0)
Requirement already satisfied: filelock in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.1.0->-r .\requirements.txt (line 2)) (3.9.0)
Requirement already satisfied: sympy in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.1.0->-r .\requirements.txt (line 2)) (1.12)
Requirement already satisfied: networkx in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.1.0->-r .\requirements.txt (line 2)) (3.0)
Requirement already satisfied: jinja2 in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.1.0->-r .\requirements.txt (line 2)) (3.1.2)
Requirement already satisfied: fsspec in f:\ai-voice-cloning\venv\lib\site-packages (from torch>=2.1.0->-r .\requirements.txt (line 2)) (2023.12.2)
Requirement already satisfied: numpy in f:\ai-voice-cloning\venv\lib\site-packages (from torchvision->-r .\requirements.txt (line 3)) (1.23.5)
Requirement already satisfied: requests in f:\ai-voice-cloning\venv\lib\site-packages (from torchvision->-r .\requirements.txt (line 3)) (2.28.1)
Requirement already satisfied: pillow!=8.3.*,>=5.3.0 in f:\ai-voice-cloning\venv\lib\site-packages (from torchvision->-r .\requirements.txt (line 3)) (9.3.0)
Requirement already satisfied: numba in f:\ai-voice-cloning\venv\lib\site-packages (from openai-whisper->-r .\requirements.txt (line 6)) (0.58.1)
Requirement already satisfied: tqdm in f:\ai-voice-cloning\venv\lib\site-packages (from openai-whisper->-r .\requirements.txt (line 6)) (4.66.1)
Collecting tiktoken (from openai-whisper->-r .\requirements.txt (line 6))
  Using cached tiktoken-0.5.2-cp310-cp310-win_amd64.whl.metadata (6.8 kB)
Requirement already satisfied: future in f:\ai-voice-cloning\venv\lib\site-packages (from ffmpeg-python->-r .\requirements.txt (line 8)) (0.18.3)
Collecting aiofiles (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached aiofiles-23.2.1-py3-none-any.whl.metadata (9.7 kB)
Collecting aiohttp (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Downloading aiohttp-3.9.1-cp310-cp310-win_amd64.whl.metadata (7.6 kB)
Collecting altair>=4.2.0 (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached altair-5.2.0-py3-none-any.whl.metadata (8.7 kB)
Collecting fastapi (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached fastapi-0.105.0-py3-none-any.whl.metadata (24 kB)
Collecting ffmpy (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached ffmpy-0.3.1-py3-none-any.whl
Collecting httpx (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached httpx-0.25.2-py3-none-any.whl.metadata (6.9 kB)
Requirement already satisfied: huggingface-hub in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (0.19.4)
Collecting markdown-it-py>=2.0.0 (from markdown-it-py[linkify]>=2.0.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached markdown_it_py-3.0.0-py3-none-any.whl.metadata (6.9 kB)
Requirement already satisfied: markupsafe in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (2.1.3)
Requirement already satisfied: matplotlib in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (3.8.2)
Collecting mdit-py-plugins<=0.3.3 (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached mdit_py_plugins-0.3.3-py3-none-any.whl (50 kB)
Requirement already satisfied: orjson in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (3.9.10)
Requirement already satisfied: pandas in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (2.1.4)
Collecting pydub (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached pydub-0.25.1-py2.py3-none-any.whl (32 kB)
Collecting python-multipart (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached python_multipart-0.0.6-py3-none-any.whl (45 kB)
Requirement already satisfied: pyyaml in f:\ai-voice-cloning\venv\lib\site-packages (from gradio<=3.23.0->-r .\requirements.txt (line 9)) (6.0.1)
Collecting semantic-version (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached semantic_version-2.10.0-py2.py3-none-any.whl (15 kB)
Collecting uvicorn (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached uvicorn-0.24.0.post1-py3-none-any.whl.metadata (6.4 kB)
Collecting mutagen (from music-tag->-r .\requirements.txt (line 10))
  Using cached mutagen-1.47.0-py3-none-any.whl.metadata (1.7 kB)
Requirement already satisfied: librosa in f:\ai-voice-cloning\venv\lib\site-packages (from voicefixer->-r .\requirements.txt (line 11)) (0.8.1)
Requirement already satisfied: progressbar in f:\ai-voice-cloning\venv\lib\site-packages (from voicefixer->-r .\requirements.txt (line 11)) (2.5)
Collecting torchlibrosa (from voicefixer->-r .\requirements.txt (line 11))
  Using cached torchlibrosa-0.1.0-py3-none-any.whl (11 kB)
Collecting GitPython (from voicefixer->-r .\requirements.txt (line 11))
  Using cached GitPython-3.1.40-py3-none-any.whl.metadata (12 kB)
Collecting streamlit>=1.12.0 (from voicefixer->-r .\requirements.txt (line 11))
  Using cached streamlit-1.29.0-py2.py3-none-any.whl.metadata (8.2 kB)
Requirement already satisfied: joblib in f:\ai-voice-cloning\venv\lib\site-packages (from phonemizer->-r .\requirements.txt (line 13)) (1.3.2)
Collecting segments (from phonemizer->-r .\requirements.txt (line 13))
  Using cached segments-2.2.1-py2.py3-none-any.whl (15 kB)
Collecting attrs>=18.1 (from phonemizer->-r .\requirements.txt (line 13))
  Using cached attrs-23.1.0-py3-none-any.whl (61 kB)
Collecting dlinfo (from phonemizer->-r .\requirements.txt (line 13))
  Using cached dlinfo-1.2.1-py3-none-any.whl (3.6 kB)
Collecting jaconv (from pykakasi->-r .\requirements.txt (line 17))
  Using cached jaconv-0.3.4.tar.gz (16 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Collecting deprecated (from pykakasi->-r .\requirements.txt (line 17))
  Using cached Deprecated-1.2.14-py2.py3-none-any.whl.metadata (5.4 kB)
Collecting jsonschema>=3.0 (from altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached jsonschema-4.20.0-py3-none-any.whl.metadata (8.1 kB)
Requirement already satisfied: packaging in f:\ai-voice-cloning\venv\lib\site-packages (from altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9)) (23.2)
Collecting toolz (from altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached toolz-0.12.0-py3-none-any.whl (55 kB)
Collecting mdurl~=0.1 (from markdown-it-py>=2.0.0->markdown-it-py[linkify]>=2.0.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached mdurl-0.1.2-py3-none-any.whl (10.0 kB)
Collecting linkify-it-py<3,>=1 (from markdown-it-py[linkify]>=2.0.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached linkify_it_py-2.0.2-py3-none-any.whl (19 kB)
INFO: pip is looking at multiple versions of mdit-py-plugins to determine which version is compatible with other requirements. This could take a while.
Collecting mdit-py-plugins<=0.3.3 (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached mdit_py_plugins-0.3.2-py3-none-any.whl (50 kB)
  Using cached mdit_py_plugins-0.3.1-py3-none-any.whl (46 kB)
  Using cached mdit_py_plugins-0.3.0-py3-none-any.whl (43 kB)
  Using cached mdit_py_plugins-0.2.8-py3-none-any.whl (41 kB)
  Using cached mdit_py_plugins-0.2.7-py3-none-any.whl (41 kB)
  Using cached mdit_py_plugins-0.2.6-py3-none-any.whl (39 kB)
  Using cached mdit_py_plugins-0.2.5-py3-none-any.whl (39 kB)
INFO: pip is still looking at multiple versions of mdit-py-plugins to determine which version is compatible with other requirements. This could take a while.
  Using cached mdit_py_plugins-0.2.4-py3-none-any.whl (39 kB)
  Using cached mdit_py_plugins-0.2.3-py3-none-any.whl (39 kB)
  Using cached mdit_py_plugins-0.2.2-py3-none-any.whl (39 kB)
  Using cached mdit_py_plugins-0.2.1-py3-none-any.whl (38 kB)
  Using cached mdit_py_plugins-0.2.0-py3-none-any.whl (38 kB)
INFO: This is taking longer than usual. You might need to provide the dependency resolver with stricter constraints to reduce runtime. See https://pip.pypa.io/warnings/backtracking for guidance. If you want to abort this run, press Ctrl + C.
  Using cached mdit_py_plugins-0.1.0-py3-none-any.whl (37 kB)
Collecting markdown-it-py[linkify]>=2.0.0 (from gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached markdown_it_py-2.2.0-py3-none-any.whl (84 kB)
Requirement already satisfied: python-dateutil>=2.8.2 in f:\ai-voice-cloning\venv\lib\site-packages (from pandas->gradio<=3.23.0->-r .\requirements.txt (line 9)) (2.8.2)
Requirement already satisfied: pytz>=2020.1 in f:\ai-voice-cloning\venv\lib\site-packages (from pandas->gradio<=3.23.0->-r .\requirements.txt (line 9)) (2023.3.post1)
Requirement already satisfied: tzdata>=2022.1 in f:\ai-voice-cloning\venv\lib\site-packages (from pandas->gradio<=3.23.0->-r .\requirements.txt (line 9)) (2023.3)
Collecting blinker<2,>=1.0.0 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached blinker-1.7.0-py3-none-any.whl.metadata (1.9 kB)
Requirement already satisfied: cachetools<6,>=4.0 in f:\ai-voice-cloning\venv\lib\site-packages (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11)) (5.3.2)
Requirement already satisfied: click<9,>=7.0 in f:\ai-voice-cloning\venv\lib\site-packages (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11)) (8.1.7)
Collecting importlib-metadata<7,>=1.4 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached importlib_metadata-6.11.0-py3-none-any.whl.metadata (4.9 kB)
Requirement already satisfied: protobuf<5,>=3.20 in f:\ai-voice-cloning\venv\lib\site-packages (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11)) (4.23.4)
Collecting pyarrow>=6.0 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Downloading pyarrow-14.0.1-cp310-cp310-win_amd64.whl.metadata (3.1 kB)
Collecting rich<14,>=10.14.0 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached rich-13.7.0-py3-none-any.whl.metadata (18 kB)
Collecting tenacity<9,>=8.1.0 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached tenacity-8.2.3-py3-none-any.whl.metadata (1.0 kB)
Collecting toml<2,>=0.10.1 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached toml-0.10.2-py2.py3-none-any.whl (16 kB)
Collecting tzlocal<6,>=1.1 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached tzlocal-5.2-py3-none-any.whl.metadata (7.8 kB)
Collecting validators<1,>=0.2 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached validators-0.22.0-py3-none-any.whl.metadata (4.7 kB)
Collecting pydeck<1,>=0.8.0b4 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached pydeck-0.8.1b0-py2.py3-none-any.whl (4.8 MB)
Collecting tornado<7,>=6.0.3 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached tornado-6.4-cp38-abi3-win_amd64.whl.metadata (2.6 kB)
Collecting watchdog>=2.1.5 (from streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached watchdog-3.0.0-py3-none-win_amd64.whl (82 kB)
Collecting gitdb<5,>=4.0.1 (from GitPython->voicefixer->-r .\requirements.txt (line 11))
  Using cached gitdb-4.0.11-py3-none-any.whl.metadata (1.2 kB)
Requirement already satisfied: charset-normalizer<3,>=2 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->torchvision->-r .\requirements.txt (line 3)) (2.1.1)
Requirement already satisfied: idna<4,>=2.5 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->torchvision->-r .\requirements.txt (line 3)) (3.4)
Requirement already satisfied: urllib3<1.27,>=1.21.1 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->torchvision->-r .\requirements.txt (line 3)) (1.26.13)
Requirement already satisfied: certifi>=2017.4.17 in f:\ai-voice-cloning\venv\lib\site-packages (from requests->torchvision->-r .\requirements.txt (line 3)) (2022.12.7)
Requirement already satisfied: colorama in f:\ai-voice-cloning\venv\lib\site-packages (from tqdm->openai-whisper->-r .\requirements.txt (line 6)) (0.4.6)
Collecting multidict<7.0,>=4.5 (from aiohttp->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Downloading multidict-6.0.4-cp310-cp310-win_amd64.whl (28 kB)
Collecting yarl<2.0,>=1.0 (from aiohttp->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Downloading yarl-1.9.4-cp310-cp310-win_amd64.whl.metadata (32 kB)
Collecting frozenlist>=1.1.1 (from aiohttp->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Downloading frozenlist-1.4.0-cp310-cp310-win_amd64.whl.metadata (5.3 kB)
Collecting aiosignal>=1.1.2 (from aiohttp->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached aiosignal-1.3.1-py3-none-any.whl (7.6 kB)
Collecting async-timeout<5.0,>=4.0 (from aiohttp->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached async_timeout-4.0.3-py3-none-any.whl.metadata (4.2 kB)
Collecting wrapt<2,>=1.10 (from deprecated->pykakasi->-r .\requirements.txt (line 17))
  Downloading wrapt-1.16.0-cp310-cp310-win_amd64.whl.metadata (6.8 kB)
Collecting anyio<4.0.0,>=3.7.1 (from fastapi->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached anyio-3.7.1-py3-none-any.whl.metadata (4.7 kB)
Collecting starlette<0.28.0,>=0.27.0 (from fastapi->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached starlette-0.27.0-py3-none-any.whl.metadata (5.8 kB)
Collecting httpcore==1.* (from httpx->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached httpcore-1.0.2-py3-none-any.whl.metadata (20 kB)
Collecting sniffio (from httpx->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached sniffio-1.3.0-py3-none-any.whl (10 kB)
Collecting h11<0.15,>=0.13 (from httpcore==1.*->httpx->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached h11-0.14.0-py3-none-any.whl (58 kB)
Requirement already satisfied: audioread>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (3.0.1)
Requirement already satisfied: scipy>=1.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (1.11.4)
Requirement already satisfied: scikit-learn!=0.19.0,>=0.14.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (1.3.2)
Requirement already satisfied: decorator>=3.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (5.1.1)
Requirement already satisfied: resampy>=0.2.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (0.4.2)
Requirement already satisfied: soundfile>=0.10.2 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (0.12.1)
Requirement already satisfied: pooch>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from librosa->voicefixer->-r .\requirements.txt (line 11)) (1.8.0)
Requirement already satisfied: llvmlite<0.42,>=0.41.0dev0 in f:\ai-voice-cloning\venv\lib\site-packages (from numba->openai-whisper->-r .\requirements.txt (line 6)) (0.41.1)
Requirement already satisfied: contourpy>=1.0.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->gradio<=3.23.0->-r .\requirements.txt (line 9)) (1.2.0)
Requirement already satisfied: cycler>=0.10 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->gradio<=3.23.0->-r .\requirements.txt (line 9)) (0.12.1)
Requirement already satisfied: fonttools>=4.22.0 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->gradio<=3.23.0->-r .\requirements.txt (line 9)) (4.46.0)
Requirement already satisfied: kiwisolver>=1.3.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->gradio<=3.23.0->-r .\requirements.txt (line 9)) (1.4.5)
Requirement already satisfied: pyparsing>=2.3.1 in f:\ai-voice-cloning\venv\lib\site-packages (from matplotlib->gradio<=3.23.0->-r .\requirements.txt (line 9)) (3.1.1)
Collecting clldutils>=1.7.3 (from segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached clldutils-3.22.1-py2.py3-none-any.whl.metadata (3.0 kB)
Collecting csvw>=1.5.6 (from segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached csvw-3.2.1-py2.py3-none-any.whl.metadata (10 kB)
Requirement already satisfied: regex in f:\ai-voice-cloning\venv\lib\site-packages (from segments->phonemizer->-r .\requirements.txt (line 13)) (2023.10.3)
Requirement already satisfied: mpmath>=0.19 in f:\ai-voice-cloning\venv\lib\site-packages (from sympy->torch>=2.1.0->-r .\requirements.txt (line 2)) (1.3.0)
Collecting exceptiongroup (from anyio<4.0.0,>=3.7.1->fastapi->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached exceptiongroup-1.2.0-py3-none-any.whl.metadata (6.6 kB)
Collecting tabulate>=0.7.7 (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached tabulate-0.9.0-py3-none-any.whl (35 kB)
Collecting colorlog (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached colorlog-6.8.0-py3-none-any.whl.metadata (10 kB)
Collecting bibtexparser>=2.0.0b4 (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached bibtexparser-2.0.0b4-py3-none-any.whl.metadata (5.6 kB)
Collecting pylatexenc (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached pylatexenc-2.10.tar.gz (162 kB)
  Installing build dependencies ... done
  Getting requirements to build wheel ... done
  Preparing metadata (pyproject.toml) ... done
Requirement already satisfied: markdown in f:\ai-voice-cloning\venv\lib\site-packages (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13)) (3.5.1)
Collecting lxml (from clldutils>=1.7.3->segments->phonemizer->-r .\requirements.txt (line 13))
  Downloading lxml-4.9.3-cp310-cp310-win_amd64.whl.metadata (3.9 kB)
Collecting babel (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached Babel-2.14.0-py3-none-any.whl.metadata (1.6 kB)
Collecting isodate (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached isodate-0.6.1-py2.py3-none-any.whl (41 kB)
Collecting language-tags (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached language_tags-1.2.0-py3-none-any.whl (213 kB)
Collecting rdflib (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached rdflib-7.0.0-py3-none-any.whl.metadata (11 kB)
Collecting rfc3986<2 (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached rfc3986-1.5.0-py2.py3-none-any.whl (31 kB)
Collecting uritemplate>=3.0.0 (from csvw>=1.5.6->segments->phonemizer->-r .\requirements.txt (line 13))
  Using cached uritemplate-4.1.1-py2.py3-none-any.whl (10 kB)
Collecting smmap<6,>=3.0.1 (from gitdb<5,>=4.0.1->GitPython->voicefixer->-r .\requirements.txt (line 11))
  Using cached smmap-5.0.1-py3-none-any.whl.metadata (4.3 kB)
Collecting zipp>=0.5 (from importlib-metadata<7,>=1.4->streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached zipp-3.17.0-py3-none-any.whl.metadata (3.7 kB)
Collecting jsonschema-specifications>=2023.03.6 (from jsonschema>=3.0->altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached jsonschema_specifications-2023.11.2-py3-none-any.whl.metadata (3.0 kB)
Collecting referencing>=0.28.4 (from jsonschema>=3.0->altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached referencing-0.32.0-py3-none-any.whl.metadata (2.7 kB)
Collecting rpds-py>=0.7.1 (from jsonschema>=3.0->altair>=4.2.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached rpds_py-0.13.2-cp310-none-win_amd64.whl.metadata (4.0 kB)
Collecting uc-micro-py (from linkify-it-py<3,>=1->markdown-it-py[linkify]>=2.0.0->gradio<=3.23.0->-r .\requirements.txt (line 9))
  Using cached uc_micro_py-1.0.2-py3-none-any.whl (6.2 kB)
Requirement already satisfied: platformdirs>=2.5.0 in f:\ai-voice-cloning\venv\lib\site-packages (from pooch>=1.0->librosa->voicefixer->-r .\requirements.txt (line 11)) (4.1.0)
Requirement already satisfied: six>=1.5 in f:\ai-voice-cloning\venv\lib\site-packages (from python-dateutil>=2.8.2->pandas->gradio<=3.23.0->-r .\requirements.txt (line 9)) (1.16.0)
Collecting pygments<3.0.0,>=2.13.0 (from rich<14,>=10.14.0->streamlit>=1.12.0->voicefixer->-r .\requirements.txt (line 11))
  Using cached pygments-2.17.2-py3-none-any.whl.metadata (2.6 kB)
Requirement already satisfied: threadpoolctl>=2.0.0 in f:\ai-voice-cloning\venv\lib\site-packages (from scikit-learn!=0.19.0,>=0.14.0->librosa->voicefixer->-r .\requirements.txt (line 11)) (3.2.0)
Requirement already satisfied: cffi>=1.0 in f:\ai-voice-cloning\venv\lib\site-packages (from soundfile>=0.10.2->librosa->voicefixer->-r .\requirements.txt (line 11)) (1.16.0)
Requirement already satisfied: pycparser in f:\ai-voice-cloning\venv\lib\site-packages (from cffi>=1.0->soundfile>=0.10.2->librosa->voicefixer->-r .\requirements.txt (line 11)) (2.21)
Downloading pydantic-1.10.11-cp310-cp310-win_amd64.whl (2.1 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 2.1/2.1 MB 9.0 MB/s eta 0:00:00
Using cached beartype-0.15.0-py3-none-any.whl (777 kB)
Using cached more_itertools-10.1.0-py3-none-any.whl (55 kB)
Using cached voicefixer-0.1.3-py3-none-any.whl (53 kB)
Using cached psutil-5.9.6-cp37-abi3-win_amd64.whl (252 kB)
Downloading websockets-12.0-cp310-cp310-win_amd64.whl (124 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 125.0/125.0 kB ? eta 0:00:00
Using cached altair-5.2.0-py3-none-any.whl (996 kB)
Using cached streamlit-1.29.0-py2.py3-none-any.whl (8.4 MB)
Using cached GitPython-3.1.40-py3-none-any.whl (190 kB)
Using cached aiofiles-23.2.1-py3-none-any.whl (15 kB)
Downloading aiohttp-3.9.1-cp310-cp310-win_amd64.whl (364 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 364.6/364.6 kB 11.4 MB/s eta 0:00:00
Using cached Deprecated-1.2.14-py2.py3-none-any.whl (9.6 kB)
Using cached fastapi-0.105.0-py3-none-any.whl (93 kB)
Using cached httpx-0.25.2-py3-none-any.whl (74 kB)
Using cached httpcore-1.0.2-py3-none-any.whl (76 kB)
Using cached mutagen-1.47.0-py3-none-any.whl (194 kB)
Using cached tiktoken-0.5.2-cp310-cp310-win_amd64.whl (786 kB)
Using cached uvicorn-0.24.0.post1-py3-none-any.whl (59 kB)
Using cached anyio-3.7.1-py3-none-any.whl (80 kB)
Using cached async_timeout-4.0.3-py3-none-any.whl (5.7 kB)
Using cached blinker-1.7.0-py3-none-any.whl (13 kB)
Using cached clldutils-3.22.1-py2.py3-none-any.whl (1.7 MB)
Using cached csvw-3.2.1-py2.py3-none-any.whl (56 kB)
Downloading frozenlist-1.4.0-cp310-cp310-win_amd64.whl (44 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 44.4/44.4 kB ? eta 0:00:00
Using cached gitdb-4.0.11-py3-none-any.whl (62 kB)
Using cached importlib_metadata-6.11.0-py3-none-any.whl (23 kB)
Using cached jsonschema-4.20.0-py3-none-any.whl (84 kB)
Downloading pyarrow-14.0.1-cp310-cp310-win_amd64.whl (24.6 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 24.6/24.6 MB 9.8 MB/s eta 0:00:00
Using cached rich-13.7.0-py3-none-any.whl (240 kB)
Using cached starlette-0.27.0-py3-none-any.whl (66 kB)
Using cached tenacity-8.2.3-py3-none-any.whl (24 kB)
Using cached tornado-6.4-cp38-abi3-win_amd64.whl (436 kB)
Using cached tzlocal-5.2-py3-none-any.whl (17 kB)
Using cached validators-0.22.0-py3-none-any.whl (26 kB)
Downloading wrapt-1.16.0-cp310-cp310-win_amd64.whl (37 kB)
Downloading yarl-1.9.4-cp310-cp310-win_amd64.whl (76 kB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 76.4/76.4 kB 4.4 MB/s eta 0:00:00
Using cached bibtexparser-2.0.0b4-py3-none-any.whl (37 kB)
Using cached jsonschema_specifications-2023.11.2-py3-none-any.whl (17 kB)
Using cached pygments-2.17.2-py3-none-any.whl (1.2 MB)
Using cached referencing-0.32.0-py3-none-any.whl (26 kB)
Using cached rpds_py-0.13.2-cp310-none-win_amd64.whl (188 kB)
Using cached smmap-5.0.1-py3-none-any.whl (24 kB)
Using cached zipp-3.17.0-py3-none-any.whl (7.4 kB)
Using cached Babel-2.14.0-py3-none-any.whl (11.0 MB)
Using cached colorlog-6.8.0-py3-none-any.whl (11 kB)
Using cached exceptiongroup-1.2.0-py3-none-any.whl (16 kB)
Downloading lxml-4.9.3-cp310-cp310-win_amd64.whl (3.8 MB)
   ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ 3.8/3.8 MB 10.5 MB/s eta 0:00:00
Using cached rdflib-7.0.0-py3-none-any.whl (531 kB)
Building wheels for collected packages: music-tag, jaconv, pylatexenc
  Building wheel for music-tag (pyproject.toml) ... done
  Created wheel for music-tag: filename=music_tag-0.4.3-py3-none-any.whl size=23179 sha256=47f7d0556f8b893d7ad36d83955b696af189ca672bcf5e67a6437b7a173f30ef
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\01\0f\13\47de578c4d6baa8a5ac3a708d6dffab11d7e75b93c1b26b3d6
  Building wheel for jaconv (pyproject.toml) ... done
  Created wheel for jaconv: filename=jaconv-0.3.4-py3-none-any.whl size=16446 sha256=14208a0b0577404dc136bdfbce313369b8d901e1df69cc69f1a0c2d4b65135da
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\46\8f\2e\a730bf1fca05b33e532d5d91dabdf406c9b718ec85b01b1b54
  Building wheel for pylatexenc (pyproject.toml) ... done
  Created wheel for pylatexenc: filename=pylatexenc-2.10-py3-none-any.whl size=136849 sha256=82eac317375a2c852427128cdcec43fdd3ad155e18f6567b507b1873f9008eb2
  Stored in directory: c:\users\fidchell\appdata\local\pip\cache\wheels\d3\31\8b\e09b0386afd80cfc556c00408c9aeea5c35c4d484a9c762fd5
Successfully built music-tag jaconv pylatexenc
Installing collected packages: rfc3986, pylatexenc, pydub, language-tags, jaconv, ffmpy, dlinfo, zipp, wrapt, websockets, watchdog, validators, uritemplate, uc-micro-py, tzlocal, tornado, toolz, toml, tenacity, tabulate, sniffio, smmap, semantic-version, rpds-py, python-multipart, pygments, pydantic, pyarrow, psutil, mutagen, multidict, more-itertools, mdurl, lxml, isodate, h11, frozenlist, ffmpeg-python, exceptiongroup, colorlog, blinker, bibtexparser, beartype, babel, attrs, async-timeout, aiofiles, yarl, uvicorn, tiktoken, referencing, rdflib, pydeck, music-tag, markdown-it-py, linkify-it-py, importlib-metadata, httpcore, gitdb, deprecated, clldutils, anyio, aiosignal, starlette, rich, pykakasi, openai-whisper, mdit-py-plugins, jsonschema-specifications, httpx, GitPython, aiohttp, torchlibrosa, jsonschema, fastapi, csvw, altair, streamlit, segments, gradio, voicefixer, phonemizer
  Attempting uninstall: pydantic
    Found existing installation: pydantic 2.5.2
    Uninstalling pydantic-2.5.2:
      Successfully uninstalled pydantic-2.5.2
  Attempting uninstall: beartype
    Found existing installation: beartype 0.16.4
    Uninstalling beartype-0.16.4:
      Successfully uninstalled beartype-0.16.4
Successfully installed GitPython-3.1.40 aiofiles-23.2.1 aiohttp-3.9.1 aiosignal-1.3.1 altair-5.2.0 anyio-3.7.1 async-timeout-4.0.3 attrs-23.1.0 babel-2.14.0 beartype-0.15.0 bibtexparser-2.0.0b4 blinker-1.7.0 clldutils-3.22.1 colorlog-6.8.0 csvw-3.2.1 deprecated-1.2.14 dlinfo-1.2.1 exceptiongroup-1.2.0 fastapi-0.105.0 ffmpeg-python-0.2.0 ffmpy-0.3.1 frozenlist-1.4.0 gitdb-4.0.11 gradio-3.23.0 h11-0.14.0 httpcore-1.0.2 httpx-0.25.2 importlib-metadata-6.11.0 isodate-0.6.1 jaconv-0.3.4 jsonschema-4.20.0 jsonschema-specifications-2023.11.2 language-tags-1.2.0 linkify-it-py-2.0.2 lxml-4.9.3 markdown-it-py-2.2.0 mdit-py-plugins-0.3.3 mdurl-0.1.2 more-itertools-10.1.0 multidict-6.0.4 music-tag-0.4.3 mutagen-1.47.0 openWhisper detected
Traceback (most recent call last):
  File "F:\ai-voice-cloning\src\utils.py", line 97, in <module>
    from vall_e.emb.qnt import encode as valle_quantize
ModuleNotFoundError: No module named 'vall_e'

Traceback (most recent call last):
  File "F:\ai-voice-cloning\src\utils.py", line 117, in <module>
    import bark
ModuleNotFoundError: No module named 'bark'

Downloading autoregressive.pth from https://huggingface.co/jbetker/tortoise-tts-v2/resolve/main/.models/autoregressive.pth...
100% |########################################################################|
Done.
Downloading diffusion_decoder.pth from https://huggingface.co/jbetker/tortoise-tts-v2/resolve/main/.models/diffusion_decoder.pth...
100% |########################################################################|
Done.
Running on local URL:  http://127.0.0.1:7860

To create a public link, set `share=True` in `launch()`.
Loading TorToiSe... (AR: None, diffusion: None, vocoder: bigvgan_24khz_100band)
Hardware acceleration found: cuda
use_deepspeed api_debug False
Downloading: 100%|████████████████████████████████████████████████████████████████| 2.06k/2.06k [00:00<00:00, 2.12MB/s]
Downloading: 100%|████████████████████████████████████████████████████████████████| 1.18G/1.18G [02:05<00:00, 10.1MB/s]
F:\ai-voice-cloning\venv\lib\site-packages\torch\nn\utils\weight_norm.py:30: UserWarning: torch.nn.utils.weight_norm is deprecated in favor of torch.nn.utils.parametrizations.weight_norm.
  warnings.warn("torch.nn.utils.weight_norm is deprecated in favor of torch.nn.utils.parametrizations.weight_norm.")
Downloading: 100%|████████████████████████████████████████████████████████████████████| 159/159 [00:00<00:00, 96.5kB/s]
Downloading: 100%|█████████████████████████████████████████████████████████████████| 1.57k/1.57k [00:00<00:00, 404kB/s]
Downloading: 100%|████████████████████████████████████████████████████████████████████| 181/181 [00:00<00:00, 51.7kB/s]
Downloading: 100%|██████████████████████████████████████████████████████████████████| 85.0/85.0 [00:00<00:00, 67.3kB/s]
Loading tokenizer JSON: F:\ai-voice-cloning\modules\tortoise-tts\tortoise\../tortoise/data/tokenizer.json
Loaded tokenizer
Loading autoregressive model: F:\ai-voice-cloning\models\tortoise\autoregressive.pth
Loaded autoregressive model
Loaded diffusion model
Downloading clvp2.pth from https://huggingface.co/jbetker/tortoise-tts-v2/resolve/main/.models/clvp2.pth...
100% |########################################################################|
Done.
Loading vocoder model: bigvgan_24khz_100band
Downloading bigvgan_24khz_100band.json from https://huggingface.co/ecker/tortoise-tts-models/resolve/main/models/bigvgan_24khz_100band.json...
100% |########################################################################|
Done.
Loading vocoder model: bigvgan_24khz_100band.pth
Downloading bigvgan_24khz_100band.pth from https://huggingface.co/ecker/tortoise-tts-models/resolve/main/models/bigvgan_24khz_100band.pth...
100% |########################################################################|
Done.
Removing weight norm...
Loaded vocoder model
Loaded TTS, ready for generation.
狂愛
狂愛
狂愛。fryok.comの管理者。投資、技術、音楽、知識を得ること、コスパいい話が好き。MBTIによる性格診断はINTJ-Tで理屈っぽく気難しい性格。
RELATED ARTICLES
- Advertisment -

Most Popular